2.1.55: 2026-08-27
- Improvement: General fixes and improvements

2.1.54: 2026-08-27
- Improvement: Advanced Posts block - add the ability to use the Content block inside the Post Template block
- Improvement: Content Block header element - add a “Content Width” option when the element is placed in the Offcanvas panel
- Improvement: Content Blocks - add top and bottom locations for archive pages
- Improvement: Dynamic Data block - correctly display WooCommerce product attributes when no attribute is explicitly selected
- Improvement: Filter by Status block - add Any and All matching options
- Improvement: Filters Canvas - prevent the filters button from displaying on shop archives that show only product categories
- Improvement: Off-canvas cart - correctly display cart items on sites with multiple headers
- Improvement: Prevent AJAX loaded Size Guides, Popups, Advanced Menu from failing when other plugins run admin tasks during the request
- Improvement: Product Waitlist - restrict subscriber export to product managers and deliver it as a direct download
- Improvement: Product videos - correctly display the video play button after variation images update
- Improvement: Shop Filters - make sure the Active Filters widget displays the same status labels as the Filter by Status widget
- Improvement: Translations - improve the loading of translation strings in the admin area

2.1.53: 2026-08-13
- Improvement: Better support for WordPress 7.1 responsive block styles
- Improvement: Code editor block - restrict execution to its supported post types
- Improvement: Content blocks - add hover effect for admin toolbar menu in WordPress 7.1
- Improvement: Cookies Consent - correctly display the message when submitting comments
- Improvement: Media Video - enforce per object permissions on video meta AJAX handlers
- Improvement: Popups - validate requested popup ID before rendering
- Improvement: Size Guide - correctly load styles and scripts for blocks used inside the size guide content
- Improvement: Size Guide - validate requested product before rendering
- Improvement: Variation swatches - cached variation image lookup for archives with many variable products

2.1.52: 2026-08-06
- Improvement: Advanced Taxonomies block - correctly load additional pages with Infinite Scroll pagination type
- Improvement: Archive custom field layer - prevent displaying another ACF field if the selected field was removed
- Improvement: Compare product - correctly persist Wishlist button state in the comparison table
- Improvement: Dynamic Data block - correctly display archive page images when used in Content Blocks
- Improvement: Dynamic data block - prevent script tags from rendering in dynamic content fields
- Improvement: More resilient update download on servers with low resources
- Improvement: Product filters - improve lookup table regeneration tool availability
- Improvement: Shortcuts bar - make sure filter canvas button appears on product taxonomy archives
- Improvement: Variation swatches - make sure global styles from other third party plugins are not breaking swatches design
- Improvement: White label - better account checks in WP-CLI context

2.1.51: 2026-07-30
- Improvement: Advanced menu - ensure AJAX loaded content loads only frontend assets
- Improvement: Dynamic data block - make sure the excerpt source is properly outputted on shop archive page
- Improvement: Variation Swatches - correctly display inherited attribute types in product settings
- Improvement: Variation swatches - accessibility improvements

2.1.50: 2026-07-23
- Improvement: Compare products extension - smarter sync of the compare bar with compare button loader
- Improvement: Products additional action buttons - proper loader sync with request state
- Improvement: Smarter handling of product gallery layouts and variation swatches

2.1.49: 2026-07-14
- Improvement: Add navigation pills option to advanced posts and advanced taxonomies blocks
- Improvement: Dynamic data block - support for image captions
- Improvement: Languages header element - custom icon option for dropdown type
- Improvement: Single product gallery type 3 - correctly updates images when switching variations
- Improvement: White label extension - apply changed plugin name option correctly in all places
- Fix: Advanced Menu - load block CSS/JS for AJAX-rendered mega menu content
- Fix: Size guide - properly render code editor content on frontend

2.1.48: 2026-07-01
- Improvement: Improved Polylang compatibility when saving conditions without configured languages
- Improvement: Variation swatches tooltips appear unstylised when tapping and holding for the first time on mobile
- Fix: Content blocks - load core block styles and asset dependencies for AJAX popups
- Fix: Popup content block - fix popup styles enqueue order overriding Gutenberg block CSS cascade
- Fix: Popup content block - fix unstyled popup shell showing above header before it opens
- Fix: Product reviews - fix issues when saving review meta fields

2.1.47: 2026-06-24
- Improvement: Content Block Popup - Make logic for loading assets for AJAX loaded popups more reliable
- Improvement: Filter by Price - improved translation support for widget labels
- Improvement: Free Shipping Bar - improved bottom spacing controls on single product pages
- Improvement: Make communication between theme and companion more resilient and optimized
- Improvement: Scope single-product WooCommerce classes correctly
- Fix: Advanced Reviews / Custom Fonts - validate review image uploads
- Fix: Free Shipping Bar - fixed "show if cart is empty" setting not being applied
- Fix: Shop Extra - Quick View and Size Guide enforce post visibility on AJAX render
- Fix: Variation swatches - fixed swatch state not refreshing after the first attribute selection

2.1.46: 2026-06-17
- Improvement: Account modal - better handling for login verification and interstitial steps
- Improvement: Account modal - support for "All in One WP Security" plugin
- Improvement: Decouple Floating Cart, Wishlist & Waitlist price from `single-product/price.php` overrides
- Improvement: Dynamic data block - prevent unnecessary `aria-label` on unlinked images
- Improvement: Dynamic data block - support semantic date output with `<time>` tag
- Improvement: Product reviews - ensure product description post meta field is correctly sanitized upon save and display in frontend
- Fix: Newsletter subscribe - fix GDPR checkbox ID collisions
- Fix: Newsletter subscribe - fix MailerLite new API double opt-in detection

2.1.45: 2026-06-11
- Improvement: Shipping progress bar - add smarter check for dynamic styles output
- Improvement: Shipping progress bar - shortcode rendering to gracefully handle requests where WooCommerce cart data is unavailable
- Improvement: Shop Extra/Filters - send blocksy_ajax param with all ajax requests and strip it from rendered links
- Improvement: Suggested products - improved mini-cart content synchronization when feature settings are updated
- Improvement: White label - PHP 8.5 compatibility improvements
- Fix: Floating cart - fix unintended product-page scroll when adding simple products to cart
- Fix: White label - fixed custom support section link fallback on the dashboard

2.1.44: 2026-05-29
- Improvement: Content blocks - make sure Fluent Forms assets are properly loaded

2.1.43: 2026-05-28
- Improvement: Dynamic data - Ensure lightbox is rendered correctly for fields of type image
- Improvement: Ensure customizer options import work well in all browsers
- Improvement: Floating cart - ensure quantity input is respected in add to cart actions
- Improvement: General accessibility improvements
- Improvement: Improved compatibility with Installatron software and WP CLI config
- Improvement: Price filter block - spacing improvement when modern form type is selected
- Improvement: Refactor search form markup for better accessibility and consistency

2.1.42: 2026-05-14
- Improvement: Local Google fonts - make sure the downloaded font gets the correct weight variations for italic style
- Improvement: Variation swatches - better compatibility with Advanced Product Fields Extended for WooCommerce plugin
- Improvement: Variation swatches - make sure the single product variation label is properly applied even if a variation from related products is selected

2.1.41: 2026-05-07
- Improvement: Content blocks - better integration with Greenlight assets enqueue
- Improvement: Demo install - detect if a plugin can not be installed during the demo import and show a notice message
- Improvement: Newsletter extension - integration with Sendy provider
- Fix: Content blocks - make sure "Code Editor" mode is properly persisted
- Fix: Content blocks - make sure all blocks are rendered within editor when code block is present
- Fix: Shop filters - brands filter don't reflecting other selected filters results
- Fix: Shop filters - filters are not searchable if they do not have labels displayed

2.1.40: 2026-05-01
- Fix: Content blocks - fix code editor block not rendering

2.1.39: 2026-04-30
- Improvement: Floating cart - smarter logic for showing product data in the floating cart bar
- Improvement: Newsletter subscribe - make sure EmailOctopus integration works properly with the double opt-in feature
- Improvement: Newsletter subscribe - make sure the Gutenberg block saves correctly the custom list
- Improvement: Pop-up content block - make sure the close trigger with a custom class works properly if element also has a link
- Improvement: Suggested products - avoid repetition when cross-sell is suggested products source
- Improvement: Waitlist - make sure the "back in stock" emails are sent even if there is only one subscriber
- Improvement: Wishlist - add proper SEO tag for wishlist endpoint from the "my account" page
- Improvement: Wishlist page - make sure the "logged out page" is translated correctly with WPML
- Fix: Code editor block - restrict execution to explicit renderer context

2.1.38: 2026-04-09
- Improvement: Better integration with Nextend Social Login plugin and account header element
- Improvement: Code Editor block - restrict post types for which it can be executed
- Improvement: Floating Cart - make sure it takes pre-selected variations into consideration
- Improvement: Related Products - make sure card variation swatches work properly
- Improvement: UI improvements related to WordPress 7.0 changes
- Fix: Cookies Consent - avoid unnecessary admin-ajax.php calls on every page load

2.1.37: 2026-03-26
- Fix: More reliable backward compatibility with theme

2.1.36: 2026-03-26
- Improvement: Advanced menu - smarter spacing output on columns and child items
- Improvement: Improve permalinks structure for internal custom post types
- Improvement: Local Google fonts - better compatibility with PHP 8.2+
- Improvement: Product waitlist - dispatch the existing waitlist hook instead of calling the email trigger directly
- Fix: Sticky header - fix transparent state not restoring on scroll up at fractional DPR screens

2.1.35: 2026-03-12
- Improvement: Added to cart popup - better integration with Extra Product Options plugin
- Improvement: Free shipping progress bar - make sure virtual and downloadable products are correctly counted
- Improvement: Make the assets URL to show the correct plugin version

2.1.34: 2026-03-06
- Improvement: Account header element - small accessibility improvement
- Improvement: Added to cart popup - load the popup CSS file only when the module is triggered
- Improvement: Added to cart popup - load the slider CSS file only when the module is triggered
- Improvement: Single product - load additional actions CSS only when it is really needed
- Fix: Demo importer - patch transparent conditions post IDs in install finish step

2.1.33: 2026-03-05
- Improvement: Advanced posts block - smarter output of markup attributes when slider mode is enabled
- Improvement: Cart reserved timer - rework database structure
- Improvement: Cart reserved timer - smarter handle of swatches stock status
- Improvement: Make sure custom product attributes with image swatches respect the "Use Variation Image" option from the Customizer
- Improvement: Starter sites - ensure post IDs are referenced correctly in transparent header conditions after starter site install
- Improvement: Variation swatches - correctly hide swatches for variations that don't have a price set
- Improvement: White label extension - smarter way of applying options on multi site setups
- Fix: Code Snippets - whitelist script fields in post meta sanitization for users with unfiltered_html capability

2.1.32: 2026-02-27
- Improvement: Advanced posts block - make sure grid styles are no applied when slider mode is enabled
- Improvement: Newsletter Subscribe - use real user agent for MailerLite API requests
- Fix: Shop extra/swatches - fix swatch rendering in AJAX context when product is embedded as addon

2.1.31: 2026-02-26
- Improvement: Newsletter extension - better compatibility with MailChimp provider
- Improvement: Variation swatches - better compatibility with Extra Product Options & Add-Ons for WooCommerce plugin

2.1.30: 2026-02-20
- Improvement: Newsletter extension - apply the "double opt-in" functionality for Klaviyo and Mailerlite integration

2.1.29: 2026-02-18
- Improvement: Cart reserved timer - correctly calculate the stock number indifferently of user session
- Improvement: Cart reserved timer - make sure the out of stock status is correctly reported for fully reserved products
- Improvement: Newsletter extension - correctly apply the "double opt-in" feature for Mailchimp integration
- Improvement: Popup content block - add blur option for backdrop area
- Improvement: Shop filters - make sure filters are not collapsing themselves when filtering
- Improvement: Waitlist extension - ensure cookie values are properly sanitized as numbers

2.1.28: 2026-02-12
- Improvement: Advanced Menus - Inherit Menus screen permission from Core WP when validating the mega menu update endpoint
- Improvement: Make sure all translation files have the correct slug
- Improvement: Product Reviews - add "address" field option for "Local Business" entity type
- Improvement: Shop extra/product filters - Correctly encode URLs with special characters in filter links
- Improvement: Shop extra/swatches - Correctly compute out of stock status for swatches that are disabled
- Improvement: Starter sites importer - more reliable way of installing Elementor starter sites

2.1.27: 2026-01-30
- Improvement: Demo importer - correctly export and import ACF custom taxonomies
- Improvement: Dynamic data image - make sure cover type styles are loaded on demand

2.1.26: 2026-01-29
- Improvement: Advanced Posts Block - display a "no results found" message if posts don't meet the query criteria
- Improvement: Cart Quantity Auto Update - better integration with WooCommerce Subscriptions plugin
- Improvement: Cart Reserved Timer - correctly display the default message
- Improvement: Don't display internal custom post types in admin nav menus panel
- Improvement: Dynamic data - add option to show "Archive Label" if "Archive Title" source is selected
- Improvement: Popup Content Block - automatically increase the stack level of a popup if it was opened from another popup
- Improvement: Video thumbnail - hide the pause button automatically on non hover devices if "Simplified Player" is selected
- Fix: Added to cart popup - fix PHP warning when rendering product sale price

2.1.25: 2026-01-16
- Improvement: Advanced Menu - Ensure dropdown for mega menus are aligned correctly

2.1.24: 2026-01-15
- Improvement: Account modal - better integration with JetPack's brute force protection feature
- Improvement: Account modal - use template based approach for passing markup of the account content
- Improvement: Added to cart popup - show the reduced price in the modal
- Improvement: Advanced Posts block - correctly detect current post for custom fields when rendering cards
- Improvement: Advanced posts & taxonomies blocks - make sure the block spacing option is correctly outputted in backed
- Improvement: Advanced taxonomies block - add pagination functionality
- Improvement: Cloudflare cache integration - update namespace for the CF classes
- Improvement: Content blocks/Popups - add "Focus Trap" option to enable/disable the focus lock inside a popup
- Improvement: Display conditions - and possibility to select a custom taxonomy assigned to posts or products
- Improvement: Dynamic data block - better integration with Metabox single image custom field
- Improvement: Dynamic data block - make sure the image width is correctly handled in the block editor
- Improvement: Dynamic data block - option to place "before/after" content inside the link if the link option is enabled
- Improvement: Install companion notice - make sure the notice box appears only on specified dashboard pages
- Improvement: Newsletter Subscribe block - improve handling for fields label edit flow in block editor
- Improvement: SVG uploads - ensure all uploaded svg are persisted as fully valid HTML
- Improvement: Shop Extra/Variation Swatches - archive swatches correctly switch to AJAX based loading for products with many variations
- Improvement: Shop extra/advanced gallery - improved handling for pills gallery auto navigation logic
- Improvement: Shop extra/filter by attribute - respect out of stock visibility when computing counts for attributes
- Improvement: Shop extra/filter by price - make sure the input hight is correctly applied
- Improvement: Social icons block - add horizontal alignment option
- Improvement: Taxonomy customizations - proper alignment of the color modal when switching between pickers
- Fix: Advanced Menu - more reliable retrieval of color variables in frontend
- Fix: Contacts header element - fix icon shape type option
- Fix: Multiple sidebars - correctly display widget area options and their actions

2.1.23: 2025-12-11
- Improvement: Account modal - integration with "Sign in with Google" option from Google Site Kit plugin
- Improvement: Account modal - integration with Defender plugin from WPMUDEV
- Improvement: Advanced Posts block - dynamic data image (cover) outputs the correct CSS after WordPress 6.9 update
- Improvement: Demo importer - add compatibility with Fluent Snippets plugin
- Improvement: Demo importer - more resilient flow for installing demo content
- Improvement: Ensure slider assets are loaded correct for Advanced Posts placed in Gutenberg patterns
- Improvement: Newsletter Subscribe extension - improve logic for passing the name in Mailchimp integration
- Improvement: Newsletter subscribe block - make sure the border radius option outputs a linked value all the time

2.1.22: 2025-11-27
- Improvement: Advanced Menu - make sure the individual link color options apply correctly for active state
- Improvement: Better integration with EasyShip plugin and quantity selector on "Checkout" page
- Improvement: Demo importer - smarter and more resilient strategy for importing the content on servers with low resources
- Improvement: Header Search Box - smarter CSS output for sticky and transparent header states
- Improvement: Properly detect fields for custom post type archives
- Improvement: White label - add possibility to hide or edit the content from the support related sections

2.1.21: 2025-11-13
- Improvement: Content Blocks - apply correctly the sidebar grid/layout CSS when a custom template is used
- Improvement: Content Blocks - make sure background property from editor is always in sync with global settings
- Improvement: Dynamic data block - add option for inserting a link from a dynamic field
- Improvement: Newsletter subscribe - enhanced subscribe logic for Klaviyo provider
- Improvement: Shop Extra/Waitlist - make sure the waitlist form option is properly displayed when single gallery is set to type 2 or 4

2.1.20: 2025-11-07
- Improvement: Shop Extra/Filters - correctly clean up query params when filtering by price
- Improvement: Smarter and safer logic for handling SVG upload
- Fix: Improved logic for Blocksy theme detection
- Fix: Shop Extra/Cart Reserved Timer - after removing products from cart the cart timer keeps counting

2.1.19: 2025-11-06
- Improvement: Account modal - better integration with JetPack plugin
- Improvement: Better detection for Breakdance "theme disabler" option
- Improvement: Content blocks - make sure other site elements are not outputted on the maintenance page template
- Improvement: Demo install - correctly reset the install process after closing the demo import modal
- Improvement: Languages header element - minor accessibility improvement when type is set as dropdown
- Improvement: Make sure the SVG upload through customizer works properly
- Improvement: Shop Extra - smarter handling of the CSV products import when main extension is active
- Improvement: Shop Extra/Advanced Reviews - when removing a review make sure the associated media is also removed
- Improvement: Shop Extra/Cart Reserved Timer - ability to reserve and lock an item added to cart until the timer expires
- Improvement: Shop Extra/Compare View - make sure products with no image will display the WooCommerce fallback image in the compare bar
- Improvement: Shop Extra/Filters - smarter way of maintaining a stable order of parameters in filter URLs

2.1.18: 2025-10-30
- Improvement: Conditional module - make sure the search performs through all WooCommerce categories
- Improvement: Content Blocks - smarter integration with Stackable blocks
- Improvement: Mini-cart drawer - don't trigger the auto-open functionality on cart and checkout pages
- Improvement: Newsletter extension - add support for Klaviyo provider
- Improvement: Shop Extra/Added to Cart Popup - make sure the slider assets are loaded correctly when triggered from WooCommerce shortcodes
- Improvement: Shop Extra/Advanced Product Reviews - make sure the image upload assets are properly loaded
- Improvement: Shop Extra/Filters - maintain stable order of parameters in filter URLs
- Improvement: Shop Extra/Waitlist - make sure the products table from "My Account" page display properly on mobile devices
- Improvement: Shop Extra/Wishlist - improved logic for syncing active state on the like button from archive pages
- Fix: Related Products slider arrows dont work consistently from first click on touch devices
- Fix: Site Icon feature does not work with SVGs when Companion plugin is active

2.1.17: 2025-10-17
- Fix: Properly allow creation of Content Blocks in admin UI

2.1.16: 2025-10-16
- New: Shop extra - added Cart Reserved Timer extension
- Improvement: Content Blocks - don't reset display conditions when enabling/disabling code editor functionality
- Improvement: Dark mode color palette - added option to save and load custom color palettes
- Improvement: Demo install - reset onboarding steps only when demo install is not in process
- Improvement: Hooks added to WP Footer do not show up in the Content Blocks admin bar menu
- Improvement: Improved filter by product brands and dynamic data display in widget area
- Improvement: Post Types Extra Custom Fields - proper detection of global object on taxonomies archive pages
- Improvement: Price filter - add option to display fields for entering prices
- Improvement: Starter sites - correctly convert menu custom links to match the site URL
- Fix: Keep `REQUEST_URI` variable in the original state as received from server
- Fix: Post types extra - fixed custom fields fetching issue with PTE Metabox Lite
- Fix: Properly check `customize_theme` param without attempting to sanitize special characters

2.1.15: 2025-10-02
- Improvement: Advanced taxonomies block - correctly respect order for product categories
- Improvement: Content Blocks - better initialize the code editor switch button in editor toolbar
- Improvement: Dynamic data - smarter and cleaner render of the excerpt in the block editor
- Improvement: Shop extra - better integration between Wishlist extension and WooCommerce Linked Variations plugin by IconicWP
- Improvement: Shop filters - improve the taxonomy lookup table regeneration notification in frontend

2.1.14: 2025-09-25
- Improvement: Content blocks - functionality to view used content blocks on a page
- Improvement: Demo importer - better handling of importer UI state when the import process is finished
- Improvement: Demo importer - correctly import `WP WXR` when other instances of WordPress importer are present
- Improvement: Dynamic data block - proper detection for MetaBox fields
- Improvement: Dynamic data block - properly detect context when block is placed inside widget area
- Improvement: Language switcher - add flag icon shape option if TranslatePress plugin is used
- Improvement: Properly load slider styles when Advanced Posts in used in Elementor template through a shortcode
- Improvement: Shop Extra Filters - Better error handling for the lookup table scheduled action
- Improvement: Shop Extra Filters - Correctly handle WPML actions in lookup table regeneration
- Fix: Advanced posts block - skip non-existing taxonomies in `include_term_ids` check

2.1.13: 2025-09-18
- Improvement: Dynamic data - correctly retrieve JetEngine fields list from custom post types
- Improvement: Languages header element - make sure the flag icons are using the SVG files when using TranslatePress plugin
- Improvement: Make sure the demo importer is importing the custom fonts correctly
- Improvement: Options Import - Safer parsing of import files to handle multiline strings with quotes inside
- Improvement: Shortcuts bar - make sure the item device visibility options works properly
- Improvement: Variation swatches - make sure the labels are correctly rendered when non latin characters are used
- Fix: Dynamic data - correctly call filter that collects native WordPress fields
- Fix: Dynamic data - correctly retrieve fields from ACF tab container

2.1.12: 2025-09-11
- Improvement: Post Types Extra Dynamic Data - Correctly load providers

2.1.11: 2025-09-11
- Improvement: Adobe Fonts extension - add support to native WordPress blocks that have typography a option
- Improvement: Advanced Menus extension - make sure the "Label Link" option works correctly on non mega menu items
- Improvement: Advanced Posts block - image alignment issues in Safari when editing the block
- Improvement: Advanced taxonomies block - introduce `blocksy:general:blocks:query:args` filter
- Improvement: Advanced taxonomies block - respect product categories order
- Improvement: Local Google Fonts extension - add support to native WordPress blocks that have typography a option
- Improvement: Post Types Extra Dynamic Data - Support fields assigned to taxonomies
- Improvement: Properly sanitize newsletter subscribe form description
- Improvement: Shortcuts bar - small accessibility improvements
- Improvement: Variation swatches - add option to use the product variation image when no attribute term image is assigned

2.1.10: 2025-09-04
- New: Shop extra - add new filter by rating block
- Improvement: Check for file existence in header elements that support SVG upload
- Improvement: Don't load outdated polyfills in the JS files served in modern browsers
- Improvement: Free Shipping Bar - add option to count or not non-physical products
- Improvement: Language header element - minor accessibility improvements
- Improvement: More optimal import/export of the theme custom data related to WooCommerce
- Improvement: Quantity selectors on checkout page - make sure the product is removed if value is zero
- Improvement: Shop archives - correctly load and change the swap images functionality only when needed
- Improvement: Variation swatches - proper detection for stock status for products in backorder state
- Improvement: Variations swatches - smarter enqueue WooCommerce templates for variable products

2.1.9: 2025-08-21
- Improvement: Added to Cart Popup - better integration with WPC Frequently Bought Together plugin
- Improvement: Better integration with ConvertKit v3 and ConvertKit v4 API
- Improvement: Changeable placeholder for the "search box" from shop filters
- Improvement: Correctly apply the categories order for "Shop Filters" when those are placed on the sub-category archive page
- Improvement: Free shipping bar - better integration with "FOX Currency Switcher" plugin
- Improvement: Shortcuts Bar - accessibility improvements
- Improvement: Variation swatches - properly display the tooltip on image variations swatches for out of stock products

2.1.8: 2025-08-14
- Improvement: Added to cart popup - fixed minor typo in the popup title
- Improvement: Shop Extra Swatches - apply preselected attributes only to labels within add to cart form
- Improvement: Trending posts module - accessible improvements

2.1.7: 2025-08-08
- Improvement: Brizy 2.7 integration with Content Blocks
- Improvement: Dynamic data block - better logic for fetching custom fields data

2.1.6: 2025-08-07
- Improvement: Newsletter subscribe - update the Kit (ConvertKit) integration to work with latest API version

2.1.5: 2025-07-31
- Improvement: Color Swatches - make sure the preview works properly in backend
- Improvement: Compare View - smarter handling of the compare modal after adding element to cart
- Improvement: Content blocks (code editor mode) - make sure the code is not affected by global typography
- Improvement: Content blocks - add "Before number of cards" location
- Improvement: Correctly open cart offcanvas when trigger is placed in offcanvas menu
- Improvement: Filters Canvas - improve the trigger button markup
- Improvement: Local Google Fonts - better error handling when enqueue CSS
- Improvement: Offcanvas - ignore clicks inside popups and not close offcanvas in this case
- Improvement: Search Box header element - show only custom post types available in Rest API
- Improvement: Shop Extra - Quick view integration with Advanced Product Fields (Product Addons)
- Improvement: Shop Extra - Quick view integration with YITH WooCommerce Gift Cards
- Improvement: Shop Extra - Suggested products ensure product ID is passed as integer into `wc_get_related_products` function
- Improvement: Sticky header - ensure animation speed is always greater than zero

2.1.4: 2025-07-17
- Improvement: Account header element - accessibility improvement
- Improvement: Filters Canvas Type 2 - add panel visibility option when "Panel Default State" is set to "Opened"
- Improvement: Quick View - correctly execute scripts when modal is opened
- Improvement: Shop Extra - Related products slider avoid page jump on slider init on touch devices
- Improvement: Shop Extra Filters - Improve scheduled actions loop for generating taxonomies lookup table
- Improvement: Variation swatches - proper translation for the "+ {items} more" string

2.1.3: 2025-07-10
- Improvement: Advanced Posts block - properly compute the spacing option
- Improvement: Customizer import/export feature - safely unserialize data on import
- Improvement: Dynamic Data block - small accessibility improvement when the block is used as a featured image
- Improvement: Free Shipping Bar - make sure the module is outputted correctly if multiple "free shipping" methods are used in WooCommerce
- Improvement: Introduce PHP filter to disable SVG sanitization
- Improvement: Suggested Products - make sure the CSS assets are loaded correctly on the cart page
- Fix: Variation swatches - Safari browser visual issue with the image ratio

2.1.2: 2025-07-03
- Improvement: Cart suggested products - make sure the slider layout CSS doesn't conflict with the cart form layout on mobile
- Improvement: Correctly respect Loco Translate custom translation locations
- Improvement: Languages header element - accessibility improvements
- Improvement: Product Waitlist - better and smarter support for variable products on backorder
- Improvement: Variation Swatches - add type option for out of stock swatches
- Improvement: Variation Swatches - limit options does not work if they are in the default state and the "+ / -" buttons are used
- Fix: Additional actions in Quick View do not have the correct CSS styles applied to them when the `[products]` shortcode is used
- Fix: Custom product attributes set as "select" type do not display in the Quick View modal
- Fix: Variation Swatches - make sure the limit default is respected everywhere

2.1.1: 2025-06-26
- Improvement: Advanced posts block - make sure it doesn't inherit the mega-menu shadow property when placed in dropdown via content blocks
- Improvement: Language header element - make sure the dropdown inner elements spacing is applied only when needed
- Improvement: Quick view module - make sure the product slider works properly
- Improvement: Shop filters - properly apply attributes query when the product attributes lookup table is enabled
- Improvement: Sticky header - better calculations for sticky position of rows hidden on mobile devices
- Improvement: Sticky header - proper offset when store notice is enabled
- Improvement: Suggested Products module - add support for the cart page
- Improvement: Suggested Products module - make sure the dynamic height works properly inside offcanvas
- Improvement: Suggested products module - ensure the slider scripts are initialized when the mini-cart actually opens
- Improvement: Variation Swatches - add option to limit the number of displayed swatches on the single product pages
- Improvement: WooCommerce Thank You Pages - make sure the `woocommerce_thankyou` action is present all the time
- Improvement: WooCommerce custom quantity input - make sure everything works properly when product is removed from the checkout page
- Fix: Filters canvas - properly fetch filter canvas content when the panel opens

2.1.0: 2025-06-05
- Improvement: Breadcrumbs block - make sure the editor preview respects the context
- Improvement: Compare modal - make sure the heading column respects the modal background option
- Improvement: Filters canvas - don't show/enable the "Auto Close Panel" option if archive "Ajax Filtering" option is off
- Improvement: Make AJAX pagination for WooCommerce work with browser back/forward buttons
- Improvement: Make sure the Added to Cart Popup module respects the shipping tax option
- Improvement: Newsletter subscribe - integration with Email Octopus
- Improvement: Offcanvas cart - properly re-enable scroll lock on iOS when cart is closed
- Improvement: Render HTML tags for the "Dynamic Data" block in the editor preview for before/after options
- Improvement: Support for product attributes in the dynamic data block
- Improvement: Video thumbnails - add option to play the video on mouse hover

2.0.99: 2025-05-22
- Improvement: Advanced Search block - make sure the additional CSS classes are outputted in frontend
- Improvement: Ensure proper slider markup when there are no suggested products in the mini cart container
- Improvement: Make sure Dynamic Data block renders on front end inside the Single Product block by WooCommerce
- Improvement: Mega menu - don't closes the menu options when clicking outside the modal without saving
- Improvement: Pop-up content block - add possibility to relaunch the popup by hours and minutes
- Improvement: Popup content block - allow multiple buttons that match selector in additional close triggers
- Improvement: Shop Extra Filters - improve performance of the check that ensures presence of the taxonomies lookup table
- Improvement: Shop filters - retrieve the correct terms structure from the core option
- Improvement: Single product - layer for displaying product attributes table
- Improvement: Trending posts/products - make sure the "Product Status" option work properly when used with "Trending From" option
- Fix: Make sure wishlist works properly with variable products when those have a predefined variation

2.0.98: 2025-05-01
- Improvement: Added to cart popup - better detection of the inserted cart items
- Improvement: Advanced taxonomies block does not display anything if an image has not been assigned to a term
- Improvement: Better integration with EWWW Image Optimization plugin and Advanced Reviews lightbox
- Improvement: Mare sure the "Content" Gutenberg block can be inserted into Content Blocks single templates
- Improvement: Optimise blc_get_content_blocks() helper to persist only post IDs statically
- Improvement: Product Waitlist - make sure email templates preview functionality works properly
- Improvement: Shortcuts Bar - smarter check for compare, waitlist and wishlist extensions presence

2.0.97: 2025-04-24
- Improvement: Correctly check for Blocksy theme presence in WP CLI context
- Improvement: Popup content block - better integration with Ninja Forms and "close on submit" option
- Improvement: Product Brands - ensure metabox save logic doesn't affect other taxonomies
- Improvement: Size Guide and Product Tabs - add edit with Elementor support
- Fix: Translations for the premium version are not loaded correctly

2.0.96: 2025-04-17
- Improvement: Advanced Posts block - Better generation of unique ID to avoid clashes
- Improvement: Content blocks - make sure "Dynamic Content Preview" option works properly for archive templates
- Improvement: Correct handle skip-themes flag in WP CLI when detecting presence of Blocksy theme
- Improvement: Correctly respect terms order from WooCommerce in the Shop Filter block
- Improvement: Custom Fonts - better defaults checking to ensure fonts get saved correctly
- Improvement: Header language element - improved compatibility with WeGlot
- Improvement: Product brands - use native WooCommerce taxonomy
- Fix: Cookies Consent popup does not render if header is disabled on a certain page
- Fix: Custom sidebars overrides "Filters Canvas" widget area even if "Filter Canvas" is selected as the widget area source
- Fix: Products with custom attributes that are pre-selected do not show their chosen attribute label when the page is first loaded

2.0.95: 2025-04-04
- Improvement: Added to cart popup - better integration with WPML Multicurrency plugin
- Improvement: Minor accessibility improvements
- Fix: Advanced posts block doesn't apply column CSS on front-end
- Fix: Correctly load related products slider CSS
- Fix: Fix FOUC issues for Advanced Posts and Advanced Taxonomies blocks in some specific situations

2.0.94: 2025-04-03
- Improvement: Content blocks - rework integration with Ultimate Blocks plugin
- Improvement: Ensure permalinks are regenerated properly when WP Toolkit checks for updates
- Improvement: Improve post type selection logic in search and search box header elements
- Improvement: Language switcher - add label position option
- Improvement: Shop filters - better compatibility with Polylang plugin
- Fix: Conditions module - ensure stability of post searching
- Fix: White label - deactivating extension clears out all the white label data

2.0.93: 2025-03-27
- Improvement: Better integration with WooCommerce Product Bundles plugin and Variation Swatches
- Improvement: Color mode switch - better integration with WPRocket's dynamic cookies
- Improvement: Contacts element - correctly apply alignment option when the element is duplicated in footer
- Improvement: Custom thank you pages - add translation support for Polylang plugin
- Improvement: Ensure shop filters work correctly on some specific WPML multilingual setups
- Improvement: Functionality to import/export menus created with the Advanced Menu extension
- Improvement: Make sure advanced search block respects the products taxonomy filter criteria option
- Improvement: Optimize users search retrieval in conditions module on sites with a height amount of users

2.0.92: 2025-03-13
- Improvement: Account drop down custom link url string support
- Improvement: Account header element - bring back the tablet/mobile dropdown functionality only for main header rows
- Improvement: Better integration with B2B King plugin and checkout quantity inputs
- Improvement: Better integration with WooCommerce Product Bundles plugin and Variation Swatches
- Improvement: Header language element - better compatibility with TranslatePress
- Improvement: Mare sure Product Reviews archive star rating respect the horizontal alignment option
- Improvement: Quick View - correctly apply spacing between elements if the last entry in the description is not a paragraph
- Improvement: Safer calling of theme functions in the companion plugin
- Improvement: Safer checking of cross-sell products on the checkout page for assets enqueue
- Improvement: Shop extra extensions - better integration with WooCommerce native import/export functionality
- Improvement: Variations swatches - make sure preselected variation doesn't interact with related products variations
- Fix: Fix infinite loop when Advanced Posts + Dynamic Data + Custom Fields are used together
- Fix: Multiple Advanced Posts blocks on a single page, scoped by category, load incorrect posts when using pagination
- Fix: Removing access to custom fields makes any Dynamic Data block uneditable

2.0.91: 2025-02-27
- Improvement: Compare table modal - add text message when modal is empty
- Improvement: Make sure Czech translations are correctly loaded for the pro version
- Improvement: Related posts and products - improve CSS structure when "Slider" mode is enabled
- Fix: Waitlist - fix pagination for admin table
- Fix: Wishlist table - remove button not working on mobile devices

2.0.90: 2025-02-21
- Fix: Floating cart - make sure AJAX add to cart is working properly

2.0.89: 2025-02-20
- Improvement: General fixes and improvements

2.0.88: 2025-02-20
- Improvement: Account element - better integration with Wordfence's 2FA feature
- Improvement: Dynamic data block - make sure color options are correctly applied for all types of dynamic data
- Improvement: Local Google Font - make sure preloaded font is loaded only once
- Improvement: Make sure "Generate Variations URLs" option work with attributes in select mode/type
- Improvement: Popup close mechanism proper migration of previous additional close values
- Improvement: Product card additional actions - accessibility improvements
- Improvement: Suggested products - make sure variable product shows the proper title
- Fix: Cart drawer type 2 - fix overflow issue when "Suggested Products" are enabled
- Fix: Shop Filters block - inner block becomes un-selectable if filtering criteria has not been selected

2.0.87: 2025-02-06
- New: Suggested products extension
- Improvement: Advanced posts & taxonomies block - improve dynamic height calculation when it type is set as slider
- Improvement: Advanced posts and taxonomies block - correctly display dynamic styles for block preview
- Improvement: Advanced posts and taxonomies block - make sure border options are correctly rendered on the parent container
- Improvement: Content Block Popups - Better detection of Gravity form inside popup
- Improvement: Content Blocks - improved integration with Greenshift
- Improvement: Content blocks - reworked behavior of popups close actions
- Improvement: Custom fonts extension - add support for "Modern Stack Fonts"
- Improvement: Local Google Fonts - smarter check of cached CSS in Gutenberg editor
- Improvement: Mega menu - make sure shadow option rewrites properly the global shadow value
- Improvement: Products Compare - change render method when page view is selected
- Improvement: White Label - improved logic for un-hiding the extension in some specific situations

2.0.86: 2025-01-27
- Improvement: Compare products - optimize compare table code
- Improvement: Free shipping bar - better integration with multi-currency and WPML
- Improvement: Newsletter Subscribe - Better handling of Custom List ID in the newsletter subscribe block
- Improvement: Shop filters - correctly output of the label with special characters

2.0.85: 2025-01-23
- Improvement: Add shortcode support for "Waitlist" element in single product page - `[blocksy_waitlist]`
- Improvement: Advanced Taxonomies block does not update on the backend the column number when switching viewports
- Improvement: Breadcrumbs module - add possibility to apply custom icon for home and separator elements
- Improvement: Disable "Free Shipping Bar" when "Local Pickup" option is selected
- Improvement: Display conditions module - make sure option labels are properly decoded
- Improvement: Dynamic data block - text and link color improvements
- Improvement: Local Gravatars - correctly take the default param when downloading the avatars
- Improvement: Make sure `.po` and `.mo` files are correctly generated for Romanian language
- Improvement: Make sure popup is not auto closing when choosing "scroll to element" option
- Improvement: Mega menu - Cleanup previous local storage entries for AJAX loaded menu content
- Improvement: More reliable search for parent element in mega menu
- Improvement: Popups module - make sure "additional close trigger" option uses the correct class format
- Fix: Advanced Search block - "Taxonomy Filter" option does not update on the backend to reflect device visibility options
- Fix: Featured videos do not work in "Quick View" if product has gallery images
- Fix: Popup doesn't pop up for some specific trigger conditions if their value has not been changed
- Fix: Popup timing settings cannot be manually entered as fractional numbers
- Fix: Product image hover effect shows previous image after changing variations
- Fix: Variable products do not change their images on product archives if there are too many variations

2.0.84: 2025-01-09
- Improvement: Advanced Posts blocks - proper detection of block duplicates
- Improvement: Advanced taxonomy block - introduce level filter option for displaying child terms in certain contexts
- Improvement: Dynamic data block - add gradient overlay option for image/cover type
- Improvement: Dynamic data block - correctly display Custom Fields in preview mode
- Fix: Video thumbnail - YouTube shorts won't load if "Loop Video" option is enabled

2.0.83: 2024-12-25
- Improvement: Floating cart module - smarter position handling in combination with sticky header
- Improvement: Header account element - make sure dropdown labels are translatable
- Improvement: White label extension - smarter logic for multisite setups

2.0.82: 2024-12-20
- Improvement: Advanced posts (slider type) - make sure styles are enqueued properly in Content Blocks
- Improvement: Dynamic data block (image) - add cover design type
- Improvement: Product brands - make sure SVG images are correctly rendered in Firefox browser
- Improvement: Product custom tabs - make sure custom fields are properly rendered in dynamic data block
- Improvement: Search taxonomy filter - smarter taxonomy retrieval of taxonomy objects
- Improvement: Shop filter counts - make sure the login is not interfering with admin side queries

2.0.81: 2024-12-12
- Improvement: Better integration between WPC Variations Table for WooCommerce plugin and Added to Cart Popup
- Improvement: Conditions manager - smarter and more performant retrieval of posts, terms and users
- Improvement: Content Blocks code editor - make the error source more descriptive
- Improvement: Custom Font - make sure CSS is included in dynamic styles when font is uploaded
- Improvement: Dynamic data block (featured image) - smarter output for border and border radius properties
- Improvement: Dynamic data block - make sure custom fields are correctly detected if they have been assigned to a specific page
- Improvement: Shop extra affiliate products - properly handle links in product archives
- Improvement: Woo single product gallery - Allow dragging pills when there are a big number of images in gallery
- Fix: Added to Cart Popup module - turning off suggested products does not work
- Fix: Newsletter subscribe - Mailpoet integration issue when email address has never been signed up
- Fix: Product sale countdown appears without styling for variable products
- Fix: Product sale countdown doesn't work for variable products unless start date has been set
- Fix: Single product gallery arrows are not visible on mobile devices

2.0.80: 2024-11-29
- Improvement: General fixes and improvements

2.0.79: 2024-11-28
- New: Shop filters - add "Product Status" block filter with ability to filter by in stock, out of stock, on backorder, on sale and featured products
- Improvement: Advanced posts block - add slider option
- Improvement: Advanced taxonomy block - add slider option
- Improvement: Clean up and better code organization of the Dynamic Data (Image) block
- Improvement: Correctly translate Content Block in the Mega Menu output
- Improvement: Free shipping bar - add possibility to render module with a shortcode `[blocksy_shipping_progress]`
- Improvement: Shop filters - improve counter logic for attributes when more than one instance is on the same page
- Improvement: Shop price filter - add possibility to click directly the bar in order to change filter value
- Improvement: Small improvement for MailPoet plugin integration and the newsletter block

2.0.78: 2024-11-21
- Improvement: Make sure the pro version is loading correctly translations
- Improvement: Mega menu - make sure link and heading colors are properly applied in all cases
- Improvement: Shop filters - rewrite backend logic for better and cleaner organization
- Improvement: Shop filters block - improve controls handling
- Improvement: Shop waitlist - better handling for variable products

2.0.77: 2024-11-14
- Improvement: Make sure all theme blocks are using API v3
- Improvement: Make sure hooks are displayed properly inside Added to Cart popup module
- Improvement: Make sure variation swatches load their assets on checkout page
- Improvement: Smarter handling of translations in JS files

2.0.76: 2024-11-07
- Improvement: Advanced taxonomy block - better check when taxonomy doesn't exist or was removed
- Improvement: Brands backend table - show brand image/logo column
- Improvement: Brands image preview - make sure height is applied correctly for all ratios
- Improvement: Categories filter block - respect children order
- Improvement: Correctly reference current post in the Dynamic Data block
- Improvement: Don't apply global button `min-height` value to "Join Waitlist" / "Unsubscribe" buttons
- Improvement: Filter for hiding "Custom Code Snippets" options for certain user roles
- Improvement: Newsletter subscribe - skip API key check when fetching lists
- Improvement: Popup content block - add "Always relaunch" in Relaunch Trigger option
- Improvement: Refresh permalinks cache when enabling Waitlist
- Improvement: Shop Extra Swatches - Improve stock status calculation logic
- Improvement: Shop Filters - introduce URL prefix for taxonomy filters to prevent clash with attributes that have the same name
- Improvement: Shop Filters - option to show image for each taxonomy in the filter
- Improvement: Waitlist extension - improved logic for sending emails
- Fix: Pagination doesn't work on secondary "Advanced Posts" block on a page if offset has been set
- Fix: Product custom tabs - user conditions are not displayed

2.0.75: 2024-10-24
- Improvement: General fixes and improvements

2.0.74: 2024-10-24
- Improvement: Added to cart popup - make sure all assets are loaded correctly on non WooCommerce pages
- Improvement: Advanced menu preview issue in customizer mode
- Improvement: Correctly load Blocksy Companion Pro translations
- Improvement: Free shipping bar does not show up if the difference between the cart totals and the required amount is too high
- Improvement: Local Google fonts does not work with `rel="preload"` if not all language subsets are selected
- Improvement: Make sure mini-cart hooks are not render too late when doing the AJAX request
- Improvement: Make sure shop filters load their CSS in the Customizer preview if sidebar was previously disabled then enabled
- Improvement: Make sure user status conditions are displayed in the right conditions manager modal
- Improvement: Newsletter subscribe extension - integration with FluentCRM
- Improvement: Size guide -  load dynamic data functionality
- Improvement: Smarter retrieval of default variations for products with lots of variations
- Improvement: Variation swatches - better handle of deleted terms from attributes taxonomies
- Improvement: Waitlist - make sure unsubscribe action is triggered correctly in waitlist table
- Fix: Featured image videos do not autoplay in the Advanced Posts block and generate a PHP warning
- Fix: Wishlist share box - copy to clipboard item copies the wrong URL

2.0.73: 2024-10-11
- Improvement: Better auto close logic for Filter Canvas when AJAX filtering is enabled
- Fix: Shop extra advanced gallery - make sure gallery type classes are applied correctly
- Fix: Wishlist form "My Account" shows cart actions multiplied on mobile if logged out wishlist is turned on

2.0.72: 2024-10-10
- Improvement: Added to cart popup - add cross sell/up sell products to the "Suggested Products" option
- Improvement: Compare table - separated layer elements for add to cart and price
- Improvement: Filters Canvas - add option to close the panel automatically after selecting a filter
- Improvement: Local Google Fonts - Handle WP Error persisted in the cached css
- Improvement: Make sure "shop manager" user role can access product video settings
- Improvement: Make sure that "Generate Variation URL" option is applied only for the single main product swatches
- Improvement: Newsletter subscribe - integration with Active Campaign
- Improvement: Shop Extra Filters - retrieve products correctly during taxonomies lookup table generation
- Improvement: Shortcuts bar - background blur filter option
- Improvement: Shortcuts bar - items tooltip option
- Improvement: Variation swatches - correctly apply swatches type on custom/local product attributes
- Improvement: Waitlist - add display conditions option
- Improvement: Waitlist - add option to enable/disable confirmation email for logged in/out users
- Improvement: Waitlist - make sure the subscribe form appears correctly in quick view modal
- Improvement: Waitlist - option to enable waitlist for backorders

2.0.71: 2024-10-04
- Improvement: General fixes and improvements

2.0.70: 2024-10-03
- New: Shop Extra - Waitlist extension
- Improvement:  Correctly resolve exclude conditions in AND relation
- Improvement: Content Blocks (admin panel) does not show all display conditions if "Advanced Mode" is enabled
- Improvement: Dont require updates script from Core when installing or updating theme from companion
- Improvement: Price Filter range is not consistent when using number separators
- Improvement: Product Brands - correctly inherit URL structure/permalinks in archive pages
- Improvement: Shop archive card swatches - load assets in a smarter way

2.0.69: 2024-09-26
- Improvement: Better parsing of shipping zones limits in free shipping progress bar
- Improvement: Better validation for coupon codes attached to a specific brand
- Improvement: Correctly display custom created sidebars in product filter canvas
- Improvement: Footer Menu 2 spacing improvement
- Improvement: Introduce filter for defining custom rules in conditions manager
- Improvement: Make product brands available in WooCommerce Rest API
- Improvement: Product filters - include out of stock products in the taxonomy lookup table
- Improvement: Shortcuts bar - better compatibility with WPRocket's automatic lazy rendering option
- Improvement: Sticky header - better calculate row height when a Content Block element is present
- Improvement: Variation Swatches - better compatibility with WooCommerce Photo Reviews plugin

2.0.68: 2024-09-19
- Improvement: Cleaner logic for Content Blocks assets output
- Improvement: Correctly implement modal scroll lock for Size Guide module
- Improvement: Mega menu (AJAX loading) - better compatibilitu with Translate Press special language menu elements
- Improvement: Related posts (slider type) - correctly output column number for custom created post types
- Fix: Better output background color for "added to cart popup" backdrop
- Fix: Stock Scarcity module goes into negative range if a product goes on backorder and more orders are placed

2.0.67: 2024-09-12
- Improvement: Better integration with Advanced Product Fields Extended for WooCommerce plugin
- Improvement: Product card - respect custom galleries in variations for swap image effect
- Fix: Video thumbnail buttons doesn't show up anymore if photo is removed and the same photo is re-added immediately

2.0.66: 2024-09-06
- Improvement: Selected variation label does not show up when accessing the product from the cart

2.0.65: 2024-09-05
- Improvement: Add hooks location to the added to cart popup extension
- Improvement: Enable code block for thank you pages
- Improvement: Make sure filter terms are respecting the order correctly
- Improvement: Make sure the quantity input from the "Floating Cart" is in sync with the main quantity input from the product
- Improvement: Shop Extra - Swatches better detect stock status
- Improvement: Shop Extra Filters - reference terms from the correct language in the lookup table
- Fix: "Shop Filters" show hierarchy option not respected on the front end
- Fix: "Stock Scarcity" element doesn't appear on single product pages that have the one column layout

2.0.64: 2024-08-29
- Improvement: Reset event not handled correctly when swatches logic is not yet mounted
- Improvement: Shop Extra Swatches - Handle terms that are both in stock and out of stock for different variations

2.0.63: 2024-08-22
- Improvement: Add visibility option for Added to Cart Popup
- Improvement: Content blocks - better compatibility with WowStore (ProductX) plugin
- Improvement: Correctly compute stock status for attribute terms in swatches
- Improvement: Filters canvas - make sure filters are properly displayed when panel AJAX reveal is enabled
- Improvement: Improved calculation of total rating in Advanced Reviews
- Improvement: Trigger Added to Cart Popup when clicking the button in floating cart
- Improvement: Variation swatches - make sure color swatches are rendered correctly inside off canvas panel

2.0.62: 2024-08-15
- Improvement: Added to cart popup - correctly set archive option trigger default
- Improvement: Advanced Taxonomies block - make sure all parameters are set correctly in the terms query
- Improvement: Better compatibility with myCred plugin and wishlist module
- Improvement: Improved check for current theme in the customizer preview
- Improvement: Introduce filter for customizing the capabilities on any registered custom post type
- Improvement: Shop Extra - Better integration with Greenshift tabs block and Size Guide extension
- Fix: Variation swatches show unavailable variations as available on first page load

2.0.61: 2024-08-08
- New: Shop extra - added to cart popup extension
- Improvement: Advanced Menu - better integration with TranslatePress plugin
- Improvement: Content Block template with specific layout (narrow) does not apply to the single post editor
- Improvement: Content Blocks - better integration with latest PostX plugin version
- Improvement: Content Blocks - improved integration with Brizy plugin
- Improvement: Newsletter extension - integration with Mailpoet plugin
- Improvement: Product Cards Type 3 - additional actions color option issue
- Improvement: Stock scarcity extension - better handle preselected variations
- Improvement: Stock scarcity extension - correctly set lower bound for stock
- Fix: Off-canvas mini cart - quantity input issue
- Fix: Video thumbnails autoplay does not work on subsequent pages if AJAX filtering/pagination is turned on

2.0.60: 2024-08-01
- Improvement: Cart page quantity auto update does not work with keyboard input the first time the cart page is loaded
- Improvement: Correctly load JSON translation files for JS files
- Improvement: Declare text domain correctly so that Loco Translate is able to override translations
- Improvement: Make sure Local Google Fonts option is not autoloaded
- Improvement: Shop filters - correctly output the page markup if more than one products loop is used on one page
- Improvement: Stock scarcity - better handling the component output for variable products
- Improvement: Stock scarcity - correctly output stock number inside the message
- Improvement: Variation swatches - better swatch update logic in single product page
- Fix: Dynamic data block - correctly output the user "Display Name"

2.0.59: 2024-07-25
- New: Shop Extra - stock scarcity extension
- Improvement: Account modal - improved integration with Simple Cloudflare Turnstile plugin
- Improvement: Contacts element "link icon" feature - add support for shortcodes
- Improvement: Content blocks - better compatibility with Brizy plugin
- Improvement: Languages header element - don't show "Dropdown" type when element is placed in offcanvas
- Improvement: Product filters - better handle AJAX for pagination
- Fix: Better check Video thumbnails module presence
- Fix: Filters Canvas AJAX reveal + pagination + LiteSpeed Cache issue

2.0.58: 2024-07-17
- Improvement: AJAX Panel Reveal for Filters Canvas - correctly lock scroll on iOS devises
- Improvement: Auto updates process is not triggered on some specific setups
- Improvement: Contacts element - small HTML validation issue
- Improvement: Contacts module - add visibility option for each item separately
- Improvement: Content Blocks - better integration with WowStore plugin
- Improvement: Integration with ACPT plugin
- Improvement: Make sure Trending Posts extension inherits stock query rules from WooCommerce
- Improvement: Shop Extra - make sure Filter Canvas has a smarter loading for caching plugins when AJAX reveal is enabled
- Improvement: Shop filter block - minor RTL improvements
- Fix: Content blocks - "Code Editor" button does not show on WordPress 6.6 setups
- Fix: Product cards Type 2 does not show pre-selected variation price
- Fix: Swatches CSS isn't loaded if the `[related_products]` shortcode is used and other swatches are not present on the page

2.0.57: 2024-07-04
- Improvement: Floating cart - add visibility options for product image and price
- Improvement: Header contacts element device visibility option
- Improvement: Shop filters - minor visual improvements
- Fix: Advanced Menu label options do not update their availability until saving the menu
- Fix: Smarter loading for Greenshift styles in AJAX popups
- Fix: Sub menu background color (column) does not get removed if item is placed to the first level
- Fix: `[blocksy_posts]` shortcode and `filtering` argument does not work correctly

2.0.56: 2024-06-27
- Improvement: Cart quantity auto update does not work with custom quantity input turned off
- Improvement: Conditions manager - improve custom posts type archive rule
- Improvement: Content blocks module - better integration with Greenshift tab block
- Improvement: Filter canvas shortcuts bar button - apply visibility classes only when needed
- Improvement: Include generated variation link in share box module
- Improvement: Language Switcher - TranslatePress - Correctly escape urls in link
- Improvement: Make sure languages footer element loads its assets correctly
- Improvement: Shop extra filters - better logic for active filters list
- Improvement: Single product countdown timer does not load its assets if there is no "from" date range selected
- Fix: Fixed an issue when dashboard bulk select was not working properly

2.0.55: 2024-06-21
- Improvement: Minor issue in editing UI of the Newsletter Extension

2.0.54: 2024-06-17
- Improvement: Shop Extra - Filters - Taxonomies lookup table better handling for error state

2.0.53: 2024-06-07
- Improvement: Add image icon/logo option to taxonomies
- Improvement: Minor improvements for dynamic data image type
- Improvement: Shop extra swatches - correct stock calculation for attributes with special characters in the name field

2.0.52: 2024-06-06
- Improvement: Better compatibility with Gravity Forms an Content Blocks module
- Improvement: Filter block - add tooltip option for brands type
- Improvement: Filter block - don't show tooltip option if swatch option is disabled
- Improvement: Mega menu - don't output the heading class when it is not needed
- Improvement: Shop extra swatches - faster and more accurate calculation of swatches stock status
- Fix: AJAX Filtering breaks custom created pages with WooCommerce shortcodes
- Fix: Active filters module doesn't show brand terms when filtering
- Fix: Multiple sidebars conditions wonky with CPT archives/singulars

2.0.51: 2024-05-30
- Improvement: Ajax shop filters - don't scroll from top to bottom
- Improvement: Correctly load JS translations for the Blocksy Companion
- Improvement: Shop Extra Filters - Lookup table regeneration sometimes is stuck or is finished with error
- Improvement: Shop Extra Filters - lookup table regeneration sometimes triggered twice
- Improvement: Small layout issue with checkout page and quantity data
- Improvement: Variation Swatches - add option to generate variation url in address bar
- Fix: WooCommerce coupon code not applying correctly in some certain scenarios

2.0.50: 2024-05-24
- Improvement: Ensure required theme version is correctly verified within WP CLI
- Improvement: Login to WP dashboard through cPanel WP Toolkit doesn't work
- Improvement: Make sure shop filters block works properly when placed in content blocks
- Improvement: Shop Extra Filters - Avoid long recursion on category archives for rendering filters
- Improvement: Support for product brands in WooCommerce coupon exclusions

2.0.49: 2024-05-23
- Improvement: Better integration with WooCommerce Product Bundles plugin and Variation Swatches module
- Improvement: Fix brands import/export PHP warning
- Improvement: Introduce option for delaying the custom close trigger for popups
- Improvement: Make sure CloudFlare Turnstile from Contact Form 7 is initialized inside popups with Ajax reveal enabled
- Improvement: Proper check of Elementor Pro inside content blocks
- Improvement: Shop extra filters - create index table for faster taxonomies count retrieval
- Improvement: Shop extra filters - optimize generation of hierarchical taxonomies tree

2.0.48: 2024-05-16
- Improvement: Conditions module - enable conditions for product attribute archives
- Improvement: Content blocks conditions better match for card conditions
- Improvement: Filtering by attributes using outdated slugs should not trigger any warnings
- Improvement: Shop Extra product filters correctly include child categories in tax query
- Improvement: Shop filters - add option to display product brands hierarchically
- Improvement: Smarter loading of the shop extra CSS files on the frontend

2.0.47: 2024-05-10
- Improvement: Conditions module - better check for "Product Brands" presence in conditions

2.0.46: 2024-05-09
- Improvement: Account element - make sure custom links are translatable with WPML String Translation
- Improvement: Add support for custom fields in product post type (archive cards and single product page)
- Improvement: Conditions manager - add condition to display a hook inside an archive item with a specific taxonomy
- Improvement: Conditions manager - add support for "product brands" archive
- Improvement: Don't display shop filters when archive is set to show only categories
- Improvement: Ensure filters work correctly on the product categories archive pages
- Improvement: Floating bar - automatically truncate extra long product titles
- Improvement: Product archive SKU layer check global product presence
- Improvement: Product brands are not imported/exported correctly when using hierarchy
- Improvement: Shop filters block - add support for custom taxonomies
- Improvement: Shortcuts bar - add item that triggers the Filters Canvas module
- Improvement: Video thumbnails - add possibility to insert the link to a hosted video

2.0.45: 2024-05-03
- Improvement: Correctly compute Mailchimp region from the API key

2.0.44: 2024-05-03
- Improvement: Correctly fallback to defaults for untranslated strings

2.0.43: 2024-05-02
- Improvement: Correctly translate all strings from Pro version
- Improvement: Make sure filters are not rendered in single product page
- Improvement: Shop Extra Filters ensure tax query is set after Woo alters the main query
- Improvement: User role conditions do not show up in the Content Blocks table
- Fix: Shop Extra Filters never attempt to alter queries on the admin area

2.0.42: 2024-04-25
- Improvement: Safer output the custom icon in language switcher element
- Improvement: Variation Swatches better integration with Elementor single product template builder
- Fix: Dynamic data block image type issue with ACF

2.0.41: 2024-04-19
- Improvement: Better handle drag & drop items in product split columns
- Improvement: Price filter does not respect currency symbol alignment
- Improvement: Simpler access for the cache manager object in extensions
- Fix: Product filter for Brands does not work with multiple selections
- Fix: Single product gallery type 3 - lightbox does not open the correct image
- Fix: Single product gallery types 3 and 4 - lightbox trigger icon is not visible if zoom effect is disabled
- Fix: Single product gallery types 4 - zoom effect does not work

2.0.40: 2024-04-18
- New: Filter by price block
- Improvement: Better handle the start time/date range conditions
- Improvement: Better integration with Greenshift Tab Block and Size Guide module
- Improvement: Better integration with WP Hide plugin and Local Google Fonts extension
- Improvement: Better integration with Woocommerce Custom Product Addons and Quick View module
- Improvement: Content Block conditions not shown in dashboard if advanced mode is turned on
- Improvement: Video player - add option to make video `cover` or `contain` when using the simplified player
- Fix: Content Blocks - editor layout is boxed unless "container structure" is set to custom

2.0.39: 2024-04-11
- Improvement: Better handling for product gallery navigation (thumbnails and dots)
- Improvement: Dynamic Data block - better check for brands taxonomy presence
- Improvement: Dynamic data block preview issue in WordPress 6.5 when placed inside patterns
- Improvement: Related products module (slider type) - add color options to next/prev buttons
- Improvement: Search module - add support for searching by taxonomy name
- Improvement: Single product gallery - pause video when lightbox is opened
- Improvement: Wishlist better integration with Product Addons plugin
- Improvement: WooCommerce Advanced Reviews - better calculation of rating count
- Fix: Single product gallery videos fail to play on mobile
- Fix: Single product page becomes un-scrollable on mobile if video is played in the gallery

2.0.38: 2024-04-04
- New: Dynamic data block - add support for product brands
- Improvement: Add filter to exclude certain category from the posts filter
- Improvement: Add option to show tooltip in filter block
- Improvement: Dynamic data block preview issue in editor
- Improvement: General improvements for variation swatches in single product page
- Improvement: Make sure mega menu content block output is not rendered inside mobile menu when not needed
- Improvement: Variation swatches - add custom tooltip option for button variation type

2.0.37: 2024-03-29
- Improvement: Correctly generate translation files

2.0.36: 2024-03-29
- Improvement: Correctly migrate swatch type from previous implementation

2.0.35: 2024-03-28
- Improvement: General fixes and improvements

2.0.34: 2024-03-28
- New: Variations Swatches - add option to change tooltip text
- New: Variations Swatches - add option to insert image in tooltip
- New: Variations Swatches - add option to limit attributes in archive cards
- New: Variations Swatches - add options to set dual colors
- New: Variations Swatches - option to change attribute type (including custom ones) and it's settings from single product page
- Improvement: Better integration between content blocks and WPML
- Improvement: Custom "thank you page" apply the correct preview template
- Improvement: Dynamic Data block - remove auto paragraph when wrapper tag is set to `p`
- Improvement: Post Types Extra - persist taxonomies accent color CSS in a separate file
- Fix: Issue with uploading an image for product brand after the brand was created/edited
- Fix: JS Syntax error for standalone variable products using special characters with variation swatches

2.0.33: 2024-03-21
- Improvement: Better compatibility with Woo Product Addons plugin and wishlist module
- Improvement: Content blocks - better integration with Gravity Forms Conversational
- Improvement: WPML and custom tabs translation issue
- Fix: Issue with uploading an image for product brand after the brand was created/edited

2.0.32: 2024-03-15
- Improvement: Add image size and ratio to the cart, checkout and wishlist pages
- Improvement: Checkout page quantity input improvement
- Fix: Creating Content Blocks fails to ask the type

2.0.31: 2024-03-14
- Improvement: Compare View does not show all attributes
- Improvement: Post Types Extra - post filters type 2 color improvements
- Improvement: Product Taxonomy ID doesn't show the selected taxonomy in conditions module
- Improvement: Product with default variations does not show the entire variation library if swatches are enabled

2.0.30: 2024-03-08
- Improvement: General fixes and improvements

2.0.29: 2024-03-07
- Improvement: Correctly verify plan validity in the license checker
- Improvement: Ensure all dashboard AJAX actions are protected with nonces
- Improvement: Free shipping progress bar - decimal number support in "Goal Amount" option
- Improvement: Sale countdown proper day hours calculation
- Improvement: Shop filters with multi layered, filled categories shows as expandable, but not showing any children on the front end
- Fix: Advanced Menu + Content Blocks made with Elementor break automatic menu collapsing
- Fix: Wrong counter for shop filters for categories with children items

2.0.28: 2024-02-29
- Fix: More robust check for WooCommerce checkout component from theme

2.0.27: 2024-02-29
- Improvement: Better integration with Greenshift tabs block and Advanced Menu extension
- Improvement: Better integration with Variation Swatches extension + WPC Product Bundles for WooCommerce plugin
- Improvement: Don't output taxonomy options for product attributes
- Improvement: Make sure missing brands are created on products import
- Improvement: Post filters override global query only before cards output

2.0.26: 2024-02-22
- Improvement: Allow attribute terms ordering
- Improvement: Correctly implement attributes count when lookup table is disabled
- Improvement: Dont attempt to make SQL query for counts with empty terms
- Improvement: Ensure the Content Blocks are outputting the correct image HTML
- Improvement: Make sure the taxonomy customization options are properly displayed for all custom taxonomies
- Improvement: Option for language header element to show only the active languages
- Improvement: Post filter buttons require double tap on first load on Chrome/Android
- Fix: "Extensions" remains in infinite loading immediately after hiding the white label extension
- Fix: PHP warnings in combination with dynamic data block, ACF and CPTs inside Content Block templates
- Fix: White label extension does not appear after unhiding it unless another extension is clicked

2.0.25: 2024-02-15
- Improvement: "Close popup on scroll back" does not work if scroll direction is UP
- Fix: Correctly override loop add to cart button when default variation is detected
- Fix: Wrong attribute filters shown on sub-category page

2.0.24: 2024-02-08
- New: Advanced Reviews - show uploaded image to reviews in backend for review approval
- Improvement: Dynamic data block - correctly extract the main shop page description/excerpt
- Improvement: Introduce a safe sprintf function to avoid errors on translations
- Improvement: Let users disable the "filters" button in canvas mode, if the filter area is always opened
- Improvement: Reduce amount of database queries made for retrieving filters counters
- Fix: Shortcuts bar - cart item requires two taps to activate on first load

2.0.23: 2024-02-01
- New: WooCommerce gallery auto play option
- Improvement: Account modal - better integration with Simple Cloudflare Turnstile plugin
- Improvement: Add possibility to show/hide taxonomy children in header Search Box element
- Improvement: Content Blocks - better integration with MaxiBlocks plugin
- Fix: Brand filter - checkboxes are not visible in backend
- Fix: Prices not displayed in archive for variable products under specific set of conditions

2.0.22: 2024-01-25
- Improvement: Advanced reviews upvote/downvote buttons accessibility improvements
- Improvement: Correctly normalize single product layers in the split layout
- Improvement: Filter checkboxes accessibility improvement
- Improvement: Filters disappear on sub-category pages if "show hierarchy" is ticked
- Improvement: Filters show non existing attributes, if on a sub-category page

2.0.21: 2024-01-20
- Improvement: General fixes and improvements

2.0.20: 2024-01-19
- Improvement: Cache Shop Extra filter counts to improve performance
- Improvement: Improve copying post type options with post filters across multiple post types + taxonomies
- Fix: Mega menu position issue when set to full width or content width

2.0.19: 2024-01-18
- Improvement: Better and safer check for current user capabilities when retrieving options from db
- Improvement: Filters don't apply if attributes and categories have non latin slugs
- Improvement: Improve filters counter logic and use attributes lookup table for speed if available
- Improvement: Off canvas Ajax filters loads entire filter catalogue on category pages
- Fix: Featured image with video thumbnails - Vimeo videos are incorrectly triggered if there are multiple players on the same page
- Fix: Filters hierarchy issue in preview mode when "Expandable" option is off

2.0.18: 2024-01-12
- Improvement: Shop Extra proper filters behaviour on product category pages
- Fix: Shop Extra ensure filtering by brand and category works as expected

2.0.17: 2024-01-11
- New: WooCommerce filters - add search through items functionality
- New: WooCommerce filters - collapsable container functionality
- New: WooCommerce filters - scrollable lists functionality
- Improvement: Languages header element drop down icon color not applying correctly
- Improvement: Respect locale setting when picking the word counting strategy in read more extension
- Improvement: Smarter output of "additional actions" color settings in archive cards
- Improvement: White label extension - option to hide documentation links from dashboard home page

2.0.16: 2024-01-05
- Improvement: Display Conditions (Range Date/Time) - don't allow setting expiration time earlier than starting time
- Improvement: Make sure WooCommerce swatches don't affect other select options

2.0.15: 2024-01-04
- New: Language switcher - add custom icon option for dropdown type
- Improvement: Content Block embedded via shortcode does not respect disabled, trashed, draft status
- Improvement: Content blocks code editor issue with iframed Gutenberg editor
- Improvement: Hide and don't apply "sticky row" option if compare is set to "Page"
- Improvement: Shop filters do not show random attributes if "hide out of stock products" option is enabled
- Improvement: Wishlist - better integration with PPOM plugin
- Improvement: Wishlist cart actions improvement
- Fix: Advanced reviews issue if user is logged out and product has 0 reviews

2.0.14: 2023-12-26
- Improvement: Free Shipping bar custom amount control improvement
- Improvement: Newsletter subscribe/Brevo provider - make sure subscribers appear in the correct list
- Improvement: WooCommerce offcanvas cart respect thumbnail ratio option

2.0.13: 2023-12-22
- Improvement: Post Types Extra filters correctly scope post counts by language

2.0.12: 2023-12-21
- New: Free Shipping Bar - calculate based on number of products added to cart
- Improvement: Advanced menu drop down is offset in a weird position if custom width drop down is used
- Improvement: Categories expandable functionality small issue when AJAX filtering is enabled
- Improvement: Custom thank you pages do not work with "classic cart/checkout" blocks from WooCommerce
- Improvement: Free Shipping Bar + Woocommerce Custom Product Addons better compatibility
- Improvement: Make sure the category shop filters is respecting order
- Improvement: Optimise Shop Extra swatches in product archive card
- Improvement: Product YouTube/Vimeo videos migration improvements
- Improvement: Single product variation label - don't output attribute name if attribute type is set to select
- Improvement: WooCommerce apply filtering by SKU only on search pages
- Fix: Advanced menu icon colors not applying properly if nested in a specific way
- Fix: Compare Bar renders in legacy widgets
- Fix: Search with live results issue when SKU criteria is enabled
- Fix: Variation Swatches and WPML - fix issue when table already exists

2.0.11: 2023-12-15
- Improvement: Avoid crashes during the search when applying the nothing found content block

2.0.10: 2023-12-14
- New: Option to change trending posts module title icon
- New: White label - option to hide the documentation and video tutorial links from extensions
- Improvement: Consolidate Nothing Found content blocks logic
- Fix: Compare header counter doesn't update properly
- Fix: Product archives "quick view" button cannot be turned off

2.0.9: 2023-12-12
- New: WooCommerce active filters block
- Improvement: Ability to import/export "Brands" items
- Improvement: Better case insensitive match for variation swatches based on query string params
- Improvement: Dont attempt to do content blocks pre output on admin side
- Improvement: Post filter counter for "all" only counts the current archive page instead of the actual all articles
- Improvement: Responsive Items Direction Settings for “Contacts”
- Improvement: WooCommerce single product gallery type 3 improvements

2.0.8: 2023-12-08
- Improvement: Better check for attribute existence in single product variations
- Fix: Content Block device visibility options not respected if hooked via hooks

2.0.7: 2023-12-07
- Improvement: Button type swatches have no spacing
- Improvement: Content Block device visibility options not respected if hooked via customizer layers
- Improvement: Content blocks integrate with Stackable Expand block
- Improvement: Don't output color or image swatch container if no value is set in term options
- Improvement: Pop-up re-trigger after X days does not go to 0 with -/+ buttons
- Improvement: Quick View better check for `$actions_layer`
- Fix: Single product share box colors do not work
- Fix: Wishlist share box color options are not working

2.0.6: 2023-12-06
- Fix: Customizer mode issue if child theme is active

2.0.5: 2023-12-06
- New: Option to change single product "Additional Actions" buttons label in customizer
- New: Option to make AJAX product archive page scroll to top when modified
- Improvement: Content blocks better integration with Stackable blocks
- Improvement: Filters automatically triggers the filter if the expand icon is clicked
- Improvement: Improve swatches logic with out of stock variations
- Fix: Custom "Thank You" pages per product option doesn't work
- Fix: Customizer live view does not update "Color Switch" label font settings
- Fix: WooCommerce "Advanced Reviews" error on some specific setups

2.0.4: 2023-11-30
- Improvement: "Display variations inline” option sets label position to the bottom if more variations are present
- Improvement: Product card correctly register quick view product action
- Fix: Maintenance Mode module breaks when setting a date
- Fix: Off canvas filter canvas breaks if type 2 and mobile only is selected
- Fix: Post Types Extra - filters and sub-categories issue

2.0.3: 2023-11-29
- Improvement: Add `is_valid` property to SwatchesRender class
- Improvement: Better check for wishlist module presence
- Improvement: Correctly enable Post Types Extra sub-features during migration
- Improvement: Updated integration with Sendinblue/Brevo

2.0.2: 2023-11-27
- Improvement: Better check for media in advanced reviews extension
- Improvement: Correctly handle non-existent fonts in Local Google Fonts UI
- Fix: Ensure popups dont break when invalid href is provided to buttons
- Fix: Shortcuts bar - cart button not working

2.0.1: 2023-11-25
- Improvement: General fixes and improvements related to update
- Improvement: Greenshift styles integration with Content Blocks
- Fix: Avoid issue with custom fonts on update

2.0.0: 2023-11-24
- New: Add option to preload specific Custom Font or Local Google Font
- New: Archive products new cards type (type 3)
- New: Better flow for video thumbnails in archive and single pages
- New: Color Switch (dark mode) extension
- New: Compare bottom bar for compare products extension
- New: Custom thank you pages extension
- New: Display conditions module - AND & OR relations functionality
- New: Display conditions module - range date/time option
- New: Display conditions module - recurring days option
- New: Display conditions module - request cookie option
- New: Display conditions module - request referer option
- New: Display conditions module - request url option
- New: Dynamic data block
- New: Filter Canvas - option to display filter inside an inline canvas
- New: Free shipping progress bar module that could be displayed in single product page, cart page, minicart and checkout
- New: Functionality to duplicate a content block
- New: Gutenberg block for selecting a Content Block from the list
- New: Integrate new Mailerlite API in newsletter subscribe extension
- New: Local Google Fonts - possibility to pick and load certain font variations
- New: More advanced options for affiliate products
- New: Off-canvas cart empty state hook
- New: Option to copy CPT options in Customizer and apply them to a different CPT
- New: Option to enable navigation arrows (+ keyboard navigation) in Quick View modal
- New: Option to load mega menu content with AJAX
- New: Option to show posts count in PTE filters items
- New: Popups - JS API for controlling and observing popups
- New: Popups - option to close the popup on custom button click or form submit
- New: Popups - option to load content with AJAX
- New: Popups - option to trigger popup when selector matches
- New: Popups - rework re-launching options
- New: Possibility to create a custom "no results page" in content blocks templates
- New: Product "New" & "Featured" Badges
- New: Product Brand - show brand and it's description in single product tabs
- New: Product Brands - WooCommerce module to display brands in archive and single product pages
- New: Product image option on the checkout page order review table
- New: Product sale countdown functionality
- New: Quantity option on the checkout page
- New: Related posts - option to display items in carousel
- New: Search box header item - option to scope results by certain taxonomy
- New: Shop filter module - allow filtering without page refresh (AJAX)
- New: Support for Pods plugin in Post Types Extra extension
- New: Video thumbnails - option to display videos in thumbnail/featured image for all post types
- New: Wishlist - add possibility to save a product with preselected variation
- New: WooCommerce accordion tabs with possibility to place them in product entry summary
- New: WooCommerce advanced product reviews module
- New: WooCommerce compare products module
- New: WooCommerce custom tabs module
- New: WooCommerce filter widget - allow filter by category, attribute, brands widget (also supports AJAX)
- New: WooCommerce related products - option to display items in carousel
- New: WooCommerce size guide module
- New: WooCommerce variation swatches module (color, image, button)
- Improvement: Add loading indicator to wishlist, quick view, compare, size guide buttons
- Improvement: Bypass caching for Wishlist & Darkmode automatically
- Improvement: Bypass caching for Wishlist, Compare & Dark Mode when caching plugin is detected
- Improvement: Contacts module icon link protection for spam bots
- Improvement: Custom Fonts and Local Google Fonts - switch to HTTPS when needed
- Improvement: Custom Fonts and Local Google Fonts - switch to HTTPS when needed
- Improvement: Don't load/show offcanvas cart or quantity inputs if WooCommerce Extra extension is deactivated
- Improvement: Floating cart - when clicking select options the anchor starts behind sticky header
- Improvement: Load quick view modal CSS only when quick view is opened
- Improvement: Make "Contacts" element icons clickable if they do not contain title/content
- Improvement: Move divider & search box css from theme to companion plugin
- Improvement: Performance - Filtering content blocks by type in PHP, not SQL, to avoid table JOINs
- Improvement: Performance - Optimize Content Block Popups logic
- Improvement: Performance - Smarter load extensions CSS files (only when extensions is activated and present on a page)
- Improvement: Performance - Smarter load of "Newsletter Subscribe" CSS file
- Improvement: Popups - make editor to inherit the popup background color
- Improvement: Popups - overall code improvements
- Improvement: Prefix CSS variables in order to not conflict with other plugins
- Improvement: Refactor container and it's behavior for shortcuts bar, floating cart, compare bar
- Improvement: Smarter loading styles from third party builder for content blocks
- Fix: Footer contact widget label for “E-mail” string translation with WPML is not working
- Fix: Locally hosted videos cannot be played from the product archives and redirects user to the single page
- Fix: Quick View doesn't scroll on mobile landscape if it has a gallery at the top

2.0.0-beta26: 2023-10-25
- Improvement: General fixes and improvements

2.0.0-beta25: 2023-10-13
- Improvement: General fixes and improvements

2.0.0-beta24: 2023-10-06
- Improvement: General fixes and improvements

2.0.0-beta23: 2023-09-29
- Improvement: General fixes and improvements

2.0.0-beta22: 2023-09-22
- Improvement: General fixes and improvements

2.0.0-beta21: 2023-09-15
- Improvement: General fixes and improvements

2.0.0-beta20: 2023-09-08
- Improvement: General fixes and improvements

2.0.0-beta19: 2023-09-01
- Improvement: General fixes and improvements

2.0.0-beta18: 2023-08-28
- Improvement: General fixes and improvements

2.0.0-beta17: 2023-08-25
- Improvement: General fixes and improvements

2.0.0-beta16: 2023-08-18
- Improvement: General fixes and improvements

2.0.0-beta15: 2023-08-11
- Improvement: General fixes and improvements

2.0.0-beta14: 2023-08-04
- Improvement: General fixes and improvements

2.0.0-beta13: 2023-07-28
- Improvement: General fixes and improvements

2.0.0-beta12: 2023-07-21
- Improvement: General fixes and improvements

2.0.0-beta11: 2023-07-14
- Improvement: General fixes and improvements

2.0.0-beta10: 2023-07-07
- Improvement: General fixes and improvements

2.0.0-beta9: 2023-06-30
- Improvement: General fixes and improvements

2.0.0-beta8: 2023-06-23
- Improvement: General fixes and improvements

2.0.0-beta7: 2023-06-16
- Improvement: General fixes and improvements

2.0.0-beta6: 2023-05-26
- Improvement: General fixes and improvements

2.0.0-beta5: 2023-05-26
- Improvement: General fixes and improvements

2.0.0-beta4: 2023-05-17
- Improvement: General fixes and improvements

2.0.0-beta3: 2023-05-12
- New: Archive products new cards type (type 3)
- New: Better flow for video thumbnails in archive and single pages
- New: Color Switch (dark mode) extension
- New: Display conditions module - AND & OR relations functionality
- New: Display conditions module - range date/time option
- New: Display conditions module - recurring days option
- New: Display conditions module - request cookie option
- New: Display conditions module - request referer option
- New: Display conditions module - request url option
- New: Filter Canvas - option to display filter inside an inline canvas
- New: Free shipping progress bar module that could be displayed in single product page, cart page, minicar and checkout
- New: Gutenberg block for selecting a Content Block from the list
- New: Integrate new Mailerlite API in newsletter subscribe extension
- New: More advanced options for affiliate products
- New: Option to copy CPT options in Customizer and apply them to a different CPT
- New: Option to enable navigation arrows (+ keyboard navigation) in Quick View modal
- New: Option to load mega menu content with AJAX
- New: Option to show posts count in PTE filters items
- New: Popups - JS API for controlling and observing popups
- New: Popups - option to close the popup on custom button click or form submit
- New: Popups - option to load content with AJAX
- New: Popups - rework re-launching options
- New: Possibility to create a custom "no results page" in content blocks templates
- New: Product "New" & "Featured" Badges
- New: Product Brand - show brand and it's description in single product tabs
- New: Product Brands - WooCommerce module to display brands in archive and single product pages
- New: Product image option on the checkout page order review table
- New: Quantity option on the checkout page
- New: Search box header item - option to scope results by certain taxonomy
- New: Shop filter module - allow filtering without page refresh (AJAX)
- New: Support for Pods plugin in Post Types Extra extension
- New: Video thumbnails - option to display videos in thumbnail/featured image for all post types
- New: Wishlist - add possibility to save a product with preselected variation
- New: WooCommerce accordion tabs with possibility to place them in product entry summary
- New: WooCommerce filter widget - allow filter by category, attribute, brands widget (also supports AJAX)
- New: WooCommerce variation swatches module (color, image, button)
- Improvement: Don't load/show offcanvas cart or quantity inputs if WooCommerce Extra extension is deactivated
- Improvement: Load quick view modal CSS only when quick view is opened
- Improvement: Make "Contacts" element icons clickable if they do not contain title/content
- Improvement: Move divider & search box css from theme to companion plugin
- Improvement: Popups - overal code improvements
- Fix: Locally hosted videos cannot be played from the product archives and redirects user to the single page
- Fix: Quick View doesn't scroll on mobile landscape if it has a gallery at the top

1.9.11: 2023-11-09
- Improvement: Better compatibility with WordPress 6.4

1.9.10: 2023-11-02
- Improvement: General fixes and improvements

1.9.9: 2023-11-02
- Improvement: Introduce filter for dynamically controlling wish list

1.9.8: 2023-10-12
- Improvement: Custom icons in post meta are adding a ghost space

1.9.7: 2023-09-28
- Improvement: Correctly output class for the archive templates
- Improvement: Local Google Fonts dont try to fetch non existent fonts

1.9.6: 2023-09-21
- Improvement: General fixes and improvements

1.9.5: 2023-09-14
- Improvement: General fixes and improvements

1.9.4: 2023-09-07
- Improvement: Better autoloader mechanism for premium classes

1.9.3: 2023-08-31
- Improvement: Get rid of warnings with PHP 8.2 in beta delivery mechanism

1.9.2: 2023-08-24
- Improvement: Correctly load Custom Fonts and Local Google Fonts in the block editor
- Improvement: Allow displaying Post Content block in the Content Blocks editor

1.9.1: 2023-08-17
- Improvement: Better structure variables backend output for content blocks

1.9.0: 2023-08-10
- Improvement: Correctly load Custom Fonts and Local Google Fonts in the block editor

1.8.99: 2023-08-09
- Improvement: Don't output structure options to popup content block

1.8.98: 2023-07-27
- Improvement: Post Types Extra filtering better handling of taxonomy archives
- Improvement: Post Types Extra AJAX filtering sync page title

1.8.97: 2023-07-19
- Improvement: Match ACF custom fields by post_category type

1.8.96: 2023-07-13
- Improvement: Better detect mega menu heading items
- Improvement: Pop-up "scroll lock" feature makes mobile page jump to the top if turned on

1.8.95: 2023-07-05
- Improvement: Update Freemius SDK to latest version
- Fix: Wishlist table minor styling issues

1.8.94: 2023-06-29
- Improvement: Post types extra AJAX filtering ensure page title is up to date
- Fix: Advanced menu heading font controls issue

1.8.93: 2023-06-22
- Improvement: Show offcanvas filter trigger button only on native Woo archives

1.8.92: 2023-06-14
- Improvement: General fixes and improvements

1.8.91: 2023-06-12
- Improvement: General fixes and improvements

1.8.90: 2023-06-03
- Improvement: White label sanitize html entities in theme name

1.8.89: 2023-06-01
- Improvement: Elementor assets aren't enqueued properly in Quick View modal
- Improvement: Add class name to "Read Time" meta data element

1.8.88: 2023-05-25
- Improvement: General fixes and improvements

1.8.87: 2023-05-18
- Improvement: General fixes and improvements

1.8.86: 2023-05-11
- Improvement: Better resiliency for non-string custom fields
- Improvement: Mega menu icons should be included in responsive menu calculations
- Fix: Advanced menu icon picker overflows issue in Safari

1.8.85: 2023-05-04
- Improvement: Proper dynamic chunks logic for filtering
- Improvement: Proper default for custom fields in attributes
- Improvement: Shortcuts bar container height when items are stacked on mobile

1.8.84: 2023-04-20
- Improvement: General fixes and improvements

1.8.83: 2023-04-13
- Improvement: Better check for shortcuts bar presence
- Improvement: Make sure the custom code snippets are displayed correctly after body open tag

1.8.82: 2023-04-06
- Improvement: Allow translating contact element when placed in the footer
- Improvement: Better insertion logic for the sidebar creation form
- Improvement: Make popups maximum height act correctly based on viewport size when it changes dynamically
- Improvement: Better display of "no products in wishlist" message in wishlist
- Fix: Menu content blocks still active even if they're disabled/drafts/trash
- Fix: Floating cart does not respect single product AJAX add to cart settings

1.8.81: 2023-03-30
- Improvement: Shortcuts bar - option to change items background  initial and hover color
- Improvement: Local Google Fonts - allow syncing even when no fonts are selected
- Improvement: Greenshift correctly display custom fonts label
- Improvement: Better sync of spacing option inside content blocks
- Fix: Content Blocks - code editor button position

1.8.80: 2023-03-27
- Improvement: Compatibility with WordPress 6.2
- Improvement: Shortcuts bar divider RTL issue
- Improvement: Integrate Custom Fonts extension with Greenshift plugin
- Improvement: Better login of WooCommerce Attribute Filter inside offcanvas filters
- Fix: QuickView displays blank on products with no image and no placeholder

1.8.79: 2023-03-16
- Improvement: Don't render content block hooks in Elementor preview mode
- Improvement: Product cards swap effect with transparent background images

1.8.78: 2023-03-09
- Improvement: Properly compute current prefix for PTE filtering
- Fix: Floating Cart does not work on external products page

1.8.77: 2023-03-02
- Improvement: General fixes and improvements

1.8.76: 2023-02-23
- Improvement: Floating Cart ignore global product when its different than the current one
- Fix: WooCommerce gallery arrows position
- Fix: Create hook button is not clickable in the Quick View modal
- Fix: Mega menu full width background doesn't get the default color correctly

1.8.75: 2023-02-15
- Improvement: General fixes and improvements

1.8.74: 2023-02-15
- Improvement: Better handle popup content block closing logic
- Improvement: Smarter request termination for quantity input in offcanvas

1.8.73: 2023-02-09
- Improvement: General fixes and improvements

1.8.72: 2023-02-02
- Fix: Floating Cart is adding redundant space if product is out of stock
- Fix: Menu badge background color not working correctly on mobile devices

1.8.71: 2023-01-26
- Improvement: General fixes and improvements

1.8.70: 2023-01-26
- Improvement: Mega menu add option to display the content block on mobile menus

1.8.69: 2023-01-20
- Improvement: General fixes and improvements

1.8.68: 2023-01-20
- Improvement: Search box header element product price option

1.8.67: 2023-01-19
- Fix: Content block 404 templates not outputted correctly

1.8.66: 2023-01-11
- Improvement: Dynamic content preview option inside simple hooks
- Improvement: Better compatibility with Advanced Product Fields plugin and Blocksy wishlist
- Improvement: Allow changing conditions relation for template content blocks
- Improvement: More universal taxonomy matching for ACF fields
- Improvement: Don't show Quick View modal for password protected products
- Fix: Content blocks expiration date/time option doesn't work in some cases

1.8.65: 2022-12-29
- Improvement: Search box minor layout improvements

1.8.64: 2022-12-28
- Improvement: Add scroll lock option for popups

1.8.63: 2022-12-22
- Fix: Search box header element placed in the middle goes out of bounds if set to 100% width
- Fix: Quick View breaks Woo navigation if product catalogue is set to "Categories"

1.8.62: 2022-12-15
- Improvement: Correctly display variable products gallery in quick view
- Fix: Sidebar conditions issue - post with taxonomy ID applies incorrectly in some certain situations
- Fix: Cyrillic characters do not increase PTE reading time

1.8.61: 2022-12-09
- Improvement: Ignore repeater ACF custom fields in post types extra
- Fix: Correctly display floating cart

1.8.60: 2022-12-08
- Improvement: Better focus management for auto-opened off-canvas cart
- Improvement: Multisite activation screen display issue
- Improvement: Integrate local Google fonts with Greenshift plugin
- Fix: Shortcuts bar custom element label sync issue
- Fix: Estimated read time more robust logic for excerpts

1.8.59: 2022-11-24
- Fix: Mega Menu (full width) background color issue

1.8.58: 2022-11-17
- Improvement: Update Freemius SDK to latest version

1.8.57: 2022-11-10
- Improvement: Correctly refresh fragments of content in offcanvas cart
- Improvement: Update content blocks Zion Builder integration

1.8.56: 2022-11-04
- Improvement: General fixes and improvements

1.8.55: 2022-11-03
- Improvement: Dropdown icon for the language switcher
- Improvement: Better integration between content blocks single templates and Elementor
- Improvement: Shortcode support for custom fields fallbacks

1.8.54: 2022-10-27
- Improvement: More resilient cloned footer elements logic
- Fix: Single product vertical thumbnail arrows initialization issue

1.8.53: 2022-10-20
- Improvement: General fixes and improvements

1.8.52: 2022-10-13
- Improvement: Add correct user capabilities for content blocks post type
- Fix: Correctly load sidebars styles for single post/page custom templates

1.8.51: 2022-10-07
- Improvement: Smarter selection for "after certain number of blocks" display condition
- Improvement: Mega menu (full width container) background appearance glitch
- Improvement: Adobe Fonts extension issue with Beaver Builder
- Improvement: Load Piotnet Forms styles correctly when used inside content blocks
- Fix: Reading time module shows wrong time if special characters are placed in text
- Fix: Secondary phone icon in icon picker is not selectable

1.8.49: 2022-09-22
- Improvement: Stop videos when popups are closed

1.8.47: 2022-09-15
- New: Filter for changing the "quick view" icon
- Improvement: Better pills logic for WooCommerce Gallery Type 4
- Improvement: Correctly loading of variable fonts in admin screens
- Improvement: Display wishlist button in single products that don't have price
- Improvement: Better handle SVG icons inside Blocksy's Gutenberg settings when using white label
- Fix: Read time module calculation issue with not-latin characters in links

1.8.46: 2022-08-18
- Improvement: Show add to wishlist button only if product is out of stock
- Fix: Header HTML element breaks WPML string translations if multiplied

1.8.45: 2022-08-04
- Improvement: Correctly migrate code block value in content blocks
- Improvement: Better AJAX loading for wishlist counts
- Improvement: Counter for wishlist and cart in shortcuts bar
- Fix: Wishlist counter styles where not outputted correctly
- Fix: Icon module not rendering the custom uploaded icon

1.8.44: 2022-07-27
- Improvement: Better handle for customizer options and archive templates

1.8.43: 2022-07-26
- New: Add custom icon upload module to scroll to top button
- Improvement: Improve video aspect ratio inside single product gallery
- Improvement: Content blocks code editor block add proper render when it is used as Gutenberg block
- Improvement: Migrate template replacement strategy for single templates
- Improvement: Integrate offcanvas filter with Search & Filter Pro plugin
- Improvement: Do not output custom options in product taxonomies
- Fix: Advanced menu heading font option doesn't output some values correctly

1.8.42: 2022-07-14
- New: Font controls for headings for the advanced menu extension
- Improvement: Better flow when selecting a custom icon for the account header element
- Improvement: Custom fonts module better integration with Stackable typography option
- Improvement: Add "content area" option in single template builder
- Improvement: Support for shortcode in shortcuts bar label/link option

1.8.41: 2022-07-08
- Fix: Quick view modal position in combination with floating cart

1.8.40: 2022-07-07
- Improvement: General fixes and improvements

1.8.38: 2022-07-07
- Improvement: General fixes and improvements

1.8.37: 2022-06-28
- New: Condition to match privacy policy page
- New: Implement icon picker in header and footer items
- Fix: Shortcuts bar additional spacing when disabled on certain devices or pages

1.8.36: 2022-06-21
- Improvement: General fixes and improvements

1.8.35: 2022-06-20
- Improvement: Shortcuts bar minor CSS improvements
- Improvement: Integration with Yith Name Your Price plugin and quick view module
- Improvement: Allow textarea option to be resized in Custom Code Snippets extension
- Fix: Disabling 404 custom template doesn't work

1.8.34: 2022-06-03
- Improvement: Correctly parse shortcodes in content blocks built with Brizy
- Improvement: Better options sync for archive templates
- Improvement: Don't allow creation of content blocks outside the regular flow
- Improvement: Better check the reading time in Post Types Extra extension
- Improvement: Better reading progress bar selector

1.8.33: 2022-05-25
- New: Hook location: WP head start
- Improvement: Better AJAX loading for WishList module
- Improvement: Ensure taxonomy filters work with another posts listing on the same page

1.8.32: 2022-05-20
- Improvement: Sync taxonomy meta options across multiple languages
- Improvement: Correct output for dynamic CSS for card archive templates
- Improvement: Integrate Wishlist with Product Calculator
- Improvement: Better Code Editor implementation in content blocks
- Fix: Hiding label from top level menu breaks dropdowns

1.8.31: 2022-05-11
- Improvement: Increase viewable area for code editor (Content Blocks)
- Fix: Container structure doesn't apply to hook content block

1.8.30: 2022-05-11
- Improvement: Better logic separation in content blocks

1.8.29: 2022-05-10
- New: Hooks for off canvas filters
- Improvement: Wishlist Sharebox does not update network choices on the front end
- Improvement: Better code edito behaviour for popups
- Improvement: Behaviour of Custom Post Type ID rule in conditions module
- Fix: Cart type 2 (off canvas/drawer) doesn't work if placed inside the off canvas menu
- Fix: WooCommerce quick view module is not scrollable on iPad portrait mode

1.8.27: 2022-04-22
- Improvement: General fixes and improvements

1.8.26: 2022-04-21
- New: Single template builder
- New: Archive template builder
- Improvement: CodeMirror integration in code editor for custom hooks
- Improvement: More robust handling for share box settings in wishlist page
- Improvement: Better handle page builder content inside popups
- Improvement: Visibility controls for WooCommerce single product gallery arrows
- Improvement: Better code editor in content blocks "Code editor" mode
- Fix: Popups not working correctly in all cases with dynamic blocks

1.8.26-beta2: 2022-04-20
- Improvement: More robust handling for share box settings in wishlist page
- Improvement: Better handle page builder content inside popups
- Improvement: Visibility controls for WooCommerce single product gallery arrows
- Improvement: Better code editor in content blocks "Code editor" mode

1.8.25: 2022-04-08
- Improvement: General fixes and improvements

1.8.24: 2022-04-07
- Fix: Correct reference for global post in content blocks
- Fix: Nextend login crashes site if account modal is enabled and present

1.8.23: 2022-04-07
- Improvement: Popups content block focus lock improvement
- Improvement: Override global post during hook render
- Fix: Previewing draft products with floating cart enabled crashes the preview page

1.8.22: 2022-03-25
- Improvement: Body offset for bottom floating cart

1.8.21: 2022-03-23
- New: Content Blocks UI filter option
- New: Integration with WeGlot translate plugin
- Improvement: Add target and rel options in for custom shortcut
- Improvement: Make Local Google Fonts more robust
- Fix: Floating bar visibility issue
- Fix: Uploading custom fonts not working sometimes if uploading from extension modal

1.8.20: 2022-03-01
- Improvement: Post Types Extra (read time option) doesn’t work with non-latin characters
- Improvement: Make search by SKU to not affect other queries

1.8.19: 2022-02-18
- Improvement: General fixes and improvements

1.8.18: 2022-02-16
- Improvement: Support for manually created custom fields
- Improvement: Shortcuts bar default values
- Improvement: Popups - add new trigger condition (after X pages)
- Fix: WooCommerce Extra shows variations (due to sku) in search results
- Fix: Duplicating header elements and switching to Blocksy Companion Free breaks header builder
- Fix: Elementor Pro dynamic images do not work with Content Blocks

1.8.17: 2022-01-21
- Improvement: Display mega menu dropdown only in the top-level menu items
- Improvement: Mega menu background color output when container is set to full width
- Improvement: Content blocks better enqueue Elementor CSS
- Improvement: Increase the number of separate ACF layers through PTE
- Fix: Shortcuts bar and floating cart overlap

1.8.17-beta13: 2022-01-19
- Improvement: Display mega menu dropdown only in the top-level menu items
- Improvement: Mega menu background color output when container is set to full width
- Improvement: Content blocks better enqueue Elementor CSS
- Improvement: Increase the number of separate ACF layers through PTE
- Fix: Shortcuts bar and floating cart overlap

1.8.16: 2021-12-29
- Improvement: Advanced Menu icon color options

1.8.15: 2021-12-24
- Improvement: General fixes and improvements

1.8.14: 2021-12-24
- Improvement: Correctly apply shortcodes in content blocks
- Improvement: Content blocks minor CSS order issue
- Fix: Fix popup close button

1.8.13: 2021-12-18
- Improvement: A11Y Advanced menu disabled links keyboard handling

1.8.12: 2021-12-17
- Improvement: Shortcuts bar position when overlay modal is active

1.8.11: 2021-12-16
- Fix: Content blocks with a shortcode block adds two empty `p` tags
- Fix: Content Blocks in account modal are duplicated

1.8.10: 2021-12-15
- Improvement: Hide hook locations functionality for non administrator users
- Improvement: Better handling of typography options with Kadence blocks
- Improvement: Mega menu dropdown RTL improvements
- Improvement: White label and translation strings from pro version
- Fix: Content Blocks/hooks are not rendered in the account modal
- Fix: Content Blocks contents get erased if activating brizy's editing capabilities
- Fix: Wishlist element custom label strings are not added to the WPML
- Fix: Language switcher element does't take the language order from WPML settings in consideration
- Fix: Post Types Extra taxonomies image & color option are not displayed properly

1.8.10-beta1: 2021-12-10
- Improvement: Mega menu dropdown RTL improvements
- Improvement: White label and translation strings from pro version
- Fix: Content Blocks contents get erased if activating brizy's editing capabilities
- Fix: Wishlist element custom label strings are not added to the WPML
- Fix: Language switcher element does't take the language order from WPML settings in consideration
- Fix: Post Types Extra taxonomies image & color option are not displayed properly

1.8.9.9: 2021-11-26
- New: WooCommerce video as product image/thumbnail
- Improvement: Header Search Box element background option
- Fix: View Cart button does not work on archive pages if Quick View is set to Card click

1.8.9.8: 2021-11-18
- Fix: Content Block shortcode is incomplete

1.8.9.7: 2021-11-16
- Improvement: General fixes and improvements

1.8.9.6: 2021-11-16
- New: Mobile Menu 2 header item
- New: Account modal respect WooCommerce register and password settings
- New: Integration with Nextend Social Login and Register
- New: Account modal integration with Advanced noCaptcha & invisible Captcha plugin
- New: Account integration with Login No Captcha reCAPTCHA plugin
- New: Account modal use WooCommerce lost password & register emails
- New: Wordfence 2FA integration with login modal
- Improvement: Allow mobile menu to be placed in all rows in mobile header
- Improvement: Wishlist functionality with caching plugins
- Improvement: Allow contacts header/footer element to be duplicated twice
- Improvement: White Label Gutenberg Icon does not check the file type
- Fix: Advanced Menu automatically selects latest content block

1.8.9.5: 2021-10-27
- Improvement: Correctly reference font URLs on sites with path after domain name
- Improvement: Update plugin text domain from blc to blocksy-companion

1.8.9.4: 2021-10-21
- Fix: White Label issue

1.8.9.3: 2021-10-20
- New: Fonts integration with Plus Addons for Gutenberg
- Improvement: Popups content block CSS improvements
- Improvement: Better order for dynamic CSS files

1.8.9.3-beta14: 2021-10-19
- New: Fonts integration with Plus Addons for Gutenberg
- Improvement: Better order for dynamic CSS files

1.8.9.2: 2021-10-01
- Improvement: Popup content blocks z-index

1.8.9.1: 2021-09-30
- New: White label option to change Blocksy page settings icon
- New: Tooltip for single product wishlist button
- Improvement: Add aria-label attribute to shortcuts bar SVG icons
- Improvement: Add CSS selector to post meta custom fields
- Improvement: Post Types Extra and ACF fields
- Fix: Popup backdrop background color option
- Fix: Post Meta elements and custom SVG icons not displayed correctly

1.8.9: 2021-09-21
- Improvement: Content blocks - don't output background color if container structure is disabled
- Fix:  Woo category cards not clickable if Quick View is set to Card Click

1.8.8.8: 2021-09-17
- Improvement: Take header widget area into responsive menu calculation

1.8.8.7: 2021-09-14
- Improvement: Mega menu and content blocks
- Improvement: Better handling for custom fonts in JS

1.8.8.6: 2021-09-09
- Improvement: Icon spacing in header/footer button
- Improvement: Header and Footer conditions and WPML

1.8.8.5: 2021-09-07
- Improvement: General fixes and improvements

1.8.8.4: 2021-09-03
- Improvement: General fixes and improvements

1.8.8.3: 2021-08-31
- Improvement: General fixes and improvements

1.8.8.2: 2021-08-30
- Improvement: Floating cart position in combination with sticky header
- Fix: ACF fields in Related Posts module of custom post type not working correctly

1.8.8.1: 2021-08-23
- Fix: Transparent header doesn't work properly with multiple headers

1.8.8: 2021-08-20
- Improvement: Content blocks add revisions history
- Improvement: Single product lightbox with gallery type 3
- Improvement: Brizy content blocks not rendered correctly
- Fix: Exit intent popup triggering multiple times
- Fix: Local Google Fonts modal dropdown overflow

1.8.8-beta7: 2021-08-17
- Improvement: Content blocks add revisions history
- Improvement: Single product lightbox with gallery type 3
- Improvement: Brizy content blocks not rendered correctly
- Fix: Exit intent popup triggering multiple times
- Fix: Local Google Fonts modal dropdown overflow

1.8.7.5: 2021-08-02
- Improvement: Pop-up content block small CSS improvements
- Fix: WooCommerce single product add to cart doesn't automatically open the off-canvas

1.8.7.4: 2021-07-30
- Improvement: General fixes and improvements

1.8.7.3: 2021-07-29
- New: Posts filter module filtering behavior
- Improvement: Mega menu with multilingual plugins
- Improvement: Reading progress bar height option
- Improvement: WooCommerce better handling for offcanvas quantity buttons
- Improvement: Post Types Extra and custom fields functionality
- Improvement: Pop-up content block content container overflow option
- Fix: Shortcuts bar cart action opens the cart page instead of modal after adding a product to the cart

1.8.7.3-beta2: 2021-07-28
- Improvement: WooCommerce better handling for offcanvas quantity buttons
- Improvement: Post Types Extra and custom fields functionality
- Improvement: Pop-up content block content container overflow option
- Fix: Shortcuts bar cart action opens the cart page instead of modal after adding a product to the cart

1.8.7.2: 2021-07-26
- Improvement: Shortcuts bar and off canvas cart trigger

1.8.7.1: 2021-07-23
- Improvement: Post types filtering option
- Improvement: Header cart off canvas type
- Improvement: Trigger correctly the popup from the header button

1.8.7: 2021-07-22
- New: Mega menu full width content option
- New: Quick view modal color options
- New: Ability to set featured image for each taxonomie
- New: Ability to set different colors for each taxonomy
- New: Read progress bar for single posts
- New: Add post types taxonomies AJAX filter
- New: Estimated read time post meta element/layer
- New: Ability to add custom fields (ACF, Metabox, Toolset, JetEngine) in CPT's archive and page/post title layers
- New: Add icon option to header/footer builder buttons
- New: Allow custom icons upload inside icon picker option
- New: WooCommerce add possibility to search by SKU
- New: Content block popup type
- New: Post Types Extra extension
- Improvement: Adobe Fonts use css_names instead of slug
- Improvement: Allow content blocks custom fields to be updated via REST API
- Improvement: Ignore content blocks from sitemaps generated by SEO plugins
- Improvement: Add confirmation popup before removing a custom header/footer
- Improvement: Translateble Shortcuts Bar for WPML
- Improvement: Contacts footer element responsive visibility option
- Improvement: Contacts footer element - add option to stack items vertically/horizontally
- Fix: Wishlist page remove button not working on mobile devices
- Fix: Search dropdown background color option

1.8.7-beta6: 2021-07-16
- New: Quick view modal color options
- New: Ability to set featured image for each taxonomie
- New: Ability to set different colors for each taxonomie
- New: Read progress bar for single posts
- New: Add post types taxonomies AJAX filter
- New: Estimated read time post meta element/layer
- New: Ability to add custom fields (ACF, Metabox, Toolset) in CPT's archive and page/post title layers
- New: Add icon option to header/footer builder buttons
- New: Allow custom icons upload inside icon picker option
- New: WooCommerce add possibility to search by SKU
- New: Content block popup type
- New: Post Types Extra extension
- Improvement: Add confirmation popup before removing a custom header/footer
- Improvement: Translateble Shortcuts Bar for WPML
- Improvement: Contacts footer element responsive visibility option
- Improvement: Contacts footer element - add option to stack items vertically/horizontally
- Fix: Search dropdown background color option

1.8.7-beta4: 2021-07-08
- New: Allow custom icons upload
- New: WooCommerce add possibility to search by SKU
- New: Content block popup type
- New: Advanced Custom Post types extension
- Improvement: Translateble Shortcuts Bar for WPML
- Improvement: Contacts footer element responsive visibility option
- Improvement: Contacts footer element - add option to stack items vertically/horizontally
- Fix: Search dropdown background color option

1.8.6.4: 2021-06-24
- Improvement: General fixes and improvements

1.8.6.3: 2021-06-16
- New: Add back to top button to shortcuts bar
- Improvement: Single product wishlist button placement after add to cart button
- Improvement: Wishlist share box module
- Improvement: Mega menu dropdown offset improvement
- Improvement: Auto-open off-canvas functionality
- Fix: Quick view gallery not displayed correctly in shortcode
- Fix: Off-canvas filter widgets vertical spacing option
- Fix: Wishlist page share box CSS

1.8.6.2: 2021-06-11
- New: Make contacts header item translateable
- New: Add contacts element to the footer builder
- New: Shortcuts bar
- New: Add quantity controls inside WooCommerce off-canvas minicart
- Improvement: Better handling of Typekit fonts with Stackable
- Improvement: Quick view button color options
- Improvement: Mega menu code and functionality improvements
- Improvement: Search box auto-focus improvement
- Improvement: Sidebar content block (dynamic) + sticky
- Improvement: Full width content blocks inside WooCommerce single product tabs
- Improvement: Hide content block layout/structure options when switched to code editor
- Improvement: Footer and header content block structure
- Improvement: WooCommerce account page hooks position
- Improvement: Remove delay of the offcanvas cart display animation
- Improvement: Newsletter subscribe module
- Fix: Floating cart quantity input color
- Fix: AJAX add to cart floating cart need to hover on form first
- Fix: Product options button and View cart do not work anymore when quick view trigger is set to card click
- Fix: My Account wishlist icon in custom slug

1.8.6.2-beta8: 2021-06-09
- New: Shortcuts bar
- New: Add quantity controls inside WooCommerce off-canvas minicart
- Improvement: Better handling of Typekit fonts with Stackable
- Improvement: Quick view button color options
- Improvement: Mega menu code and functionality improvements
- Improvement: Search box auto-focus improvement
- Improvement: Sidebar content block (dynamic) + sticky
- Improvement: Full width content blocks inside WooCommerce single product tabs
- Improvement: Hide content block layout/structure options when switched to code editor
- Improvement: Footer and header content block structure
- Improvement: WooCommerce account page hooks position
- Improvement: Remove delay of the offcanvas cart display animation
- Improvement: Newsletter subscribe module
- Fix: Floating cart quantity input color
- Fix: AJAX add to cart floating cart need to hover on form first
- Fix: My Account wishlist icon in custom slug

1.8.6.1: 2021-05-12
- Improvement: White label does not apply to plugin
- Fix: Product gallery type 4 lightbox

1.8.6: 2021-05-11
- Improvement: Elementor + content blocks
- Improvement: Conditions logic for singulars when checked outside main loop
- Improvement: WooCommerce quick view
- Improvement: Add color option for search box icon
- Fix: Desktop off canvas menu duplicates entries
- Fix: Transparent header + mega menu background color

1.8.6-beta1: 2021-05-07
- Improvement: Conditions logic for singulars when checked outside main loop
- Improvement: Add color option for search box icon
- Fix: Desktop off canvas menu duplicates entries
- Fix: Transparent header + mega menu background color

1.8.5: 2021-05-01
- Improvement: General fixes and improvements

1.8.4: 2021-05-01
- Improvement: WooCommerce wishlist slug
- Improvement: Floating cart action button height

1.8.0: 2021-04-28
- New: Mega-menu custom width option
- New: Filter to change WooCommerce wishlist page url slug
- New: Integrate content blocks/hooks with multilingual plugins
- New: Allow `.ttf` file uploads in Custom Fonts extension
- New: Add footer menu 2
- New: Conditions Post ID/Page ID/Custom Post Type ID live search
- New: Floating cart title visibility option
- New: Trending block extension display conditions & location
- Improvement: Different trigger label text for desktop/mobile
- Improvement: RTL - wishlist products table
- Improvement: White label theme description option
- Improvement: Smarter call for flush_rewrite_rules() in WooCommerce extra
- Improvement: Allow duplication of more header dividers
- Improvement: Floating cart title heading tag
- Improvement: Wishlist AJAX Add-to-cart
- Improvement: Content blocks/hooks improvements
- Fix: WooCommerce cart refresh fragments with conditional headers
- Fix: Get rid of repeated wp_enqueue_scripts call for content blocks
- Fix: Contacts header element hide item option
- Fix: iOS double tap to trigger wish list add
- Fix: Off-canvas cart drawer position
- Fix: UAG Content blocks compatibility
- Fix: Header contacts element icon hover color

1.8.0-beta6: 2021-04-23
- New: Integrate content blocks/hooks with multilingual plugins
- Improvement: Different trigger label text for desktop/mobile

1.7.63.8: 2021-04-09
- New: Allow `.ttf` file uploads in Custom Fonts extension
- New: Add footer menu 2
- New: Conditions Post ID/Page ID/Custom Post Type ID live search
- New: Floating cart title visibility option
- New: Trending block extension display conditions & location
- Improvement: RTL - wishlist products table
- Improvement: White label theme description option
- Improvement: Smarter call for flush_rewrite_rules() in WooCommerce extra
- Improvement: Allow duplication of more header dividers
- Improvement: Floating cart title heading tag
- Improvement: Wishlist AJAX Add-to-cart
- Improvement: Content blocks/hooks improvements
- Fix: WooCommerce cart refresh fragments with conditional headers
- Fix: Get rid of repeated wp_enqueue_scripts call for content blocks
- Fix: iOS double tap to trigger wish list add
- Fix: Off-canvas cart drawer position
- Fix: UAG Content blocks compatibility
- Fix: Header contacts element icon hover color

1.7.63.7: 2021-04-06
- New: Add footer menu 2
- New: Conditions Post ID/Page ID/Custom Post Type ID live search
- New: Floating cart title visibility option
- New: Trending block extension display conditions & location
- Improvement: RTL - wishlist products table
- Improvement: Smarter call for flush_rewrite_rules() in WooCommerce extra
- Improvement: Allow duplication of more header dividers
- Improvement: Floating cart title heading tag
- Improvement: Wishlist AJAX Add-to-cart
- Improvement: Content blocks/hooks improvements
- Fix: Get rid of repeated wp_enqueue_scripts call for content blocks
- Fix: iOS double tap to trigger wish list add
- Fix: Off-canvas cart drawer position
- Fix: UAG Content blocks compatibility
- Fix: Header contacts element icon hover color

1.7.63.6: 2021-04-01
- New: Floating cart title visibility option
- New: Trending block extension display conditions & location
- Improvement: RTL - wishlist products table
- Improvement: Smarter call for flush_rewrite_rules() in WooCommerce extra
- Improvement: Allow duplication of more header dividers
- Improvement: Floating cart title heading tag
- Improvement: Wishlist AJAX Add-to-cart
- Improvement: Content blocks/hooks improvements
- Fix: Off-canvas cart drawer position
- Fix: UAG Content blocks compatibility
- Fix: Header contacts element icon hover color

1.7.63: 2021-02-24
- Improvement: Better parsing for headings in content blocks

1.7.62: 2021-02-23
- Improvement: General fixes and improvements

1.7.61: 2021-02-23
- Improvement: General fixes and improvements

1.7.60: 2021-02-22
- New: Color option for "add to wishlist" buttons
- Improvement: WooCommerce gallery slider
- Improvement: Change wishlist icon in My Account menu
- Fix: Automatically open the cart drawer after a product is added to cart
- Fix: Wishlist last item can't be removed

1.7.59.1: 2021-02-20
- New: Color option for "add to wishlist" buttons
- Improvement: WooCommerce gallery slider
- Improvement: Change wishlist icon in My Account menu
- Improvement: Wishlist header element label visibility
- Fix: Wishlist last item can't be removed

1.7.59: 2021-02-16
- New: Insert content block before a specific number of headings

1.7.57: 2021-02-09
- Fix: Better logic for Posts with Taxonomy IDs

1.7.56: 2021-02-07
- Improvement: General fixes and improvements

1.7.55: 2021-02-07
- New: Add hooks for archive cards
- New: Add hooks for top and bottom parts of the page and post container
- New: Add hooks for comment form
- New: Allow adding dynamic fonts in custom fonts extension
- New: Add hooks for content blocks after certain number of paragraphs in posts
- New: WooCommerce gallery slider
- New: WooCommerce wishlist functionality
- Improvement: Customizer/dashboard select option
- Improvement: Off-canvas menu container closed state
- Improvement: Add vertical spacing options for hooks
- Improvement: Minor White Label improvements
- Fix: Content blocks dont load LazyLoadVideos scripts twice
- Fix: Mega Menu heading color when link is disabled

1.7.54.2: 2021-02-02
- New: Allow adding dynamic fonts in custom fonts extension
- Fix: Content blocks dont load LazyLoadVideos scripts twice

1.7.54: 2021-01-28
- Improvement: General fixes and improvements

1.7.53: 2021-01-26
- Improvement: General fixes and improvements

1.7.52: 2021-01-23
- Improvement: General fixes and improvements

1.7.49: 2021-01-23
- New: Add hook locations for offcanvas cart filter
- New: Introduce Menu 3 item in header
- New: Ultimate Blocks support for content blocks
- New: Content blocks multiple locations
- New: Use Google Fonts CSS2 in Local Google Fonts
- New: Open off canvas cart after a product is added to cart
- Improvement: Language switcher: Hide current language option not working for Polylang
- Improvement: Hooks: Add compatibility with Product Blocks for WooCommerce plugin
- Improvement: Open off canvas cart after a product is added to cart
- Improvement: Cart as offcanvas improve remove button overlaps with close button
- Improvement: Improve search box item width when inside the middle column
- Fix: WooCommerce: don't close off canvas cart after removing a product
- Fix: 404 hook correctly process assets enqueueing
- Fix: Fix empty cart text color
- Fix: Avoid conflicts between cloned elements
- Fix: WooCommerce: don't close off canvas cart after removing one product
- Fix: Fix menu icons not receiving the active color

1.7.48.1: 2021-01-19
- New: Introduce Menu 3 item in header
- New: Ultimate Blocks support for content blocks
- New: Content blocks multiple locations
- New: Use Google Fonts CSS2 in Local Google Fonts
- Improvement: Language switcher: Hide current language option not working for Polylang
- Improvement: Hooks: Add compatibility with Product Blocks for WooCommerce plugin
- Improvement: Open off canvas cart after a product is added to cart
- Fix: WooCommerce: don't close off canvas cart after removing one product
- Fix: Cart as offcanvas remove button overlaps with close button
- Fix: 404 hook correctly process assets enqueueing
- Fix: Fix empty cart text color

1.7.45: 2020-12-31
- Improvement: General fixes and improvements

1.7.44: 2020-12-28
- Improvement: Improve content blocks/hooks created with GenerateBlocks
- Improvement: Improve content blocks/hooks created with Brizy

1.7.43: 2020-12-25
- New: Floating cart add top & bottom position option
- Improvement: Custom 404 pages - add content boxed option
- Improvement: Advanced Menu compatibility with WordPress 5.3
- Fix: Fix sticky header and floating cart
- Fix: Filters panel widgets spacing is not applying
- Fix: Fix freeze for icon picker option
- Fix: Fix cart drawer width issue

1.7.42: 2020-12-18
- Fix: Fix freeze for icon picker option

1.7.41: 2020-12-18
- New: Login/register/forgot password modal hooks
- New: Add hook to add icon to menu item
- New: Integrate Custom Fonts extension with Kadence Blocks
- New: Add margin option to search box item
- New: Display icons in mobile menu items
- New: White label: Disable click on dashboard logo for displaying
- New: White label: A way to force display the white label extension from wp-config.php
- New: White label: Turn off useful plugins
- New: White label: Turn off changelogs
- New: White label: Turn off beta updates section
- New: White label: Turn off support tickets section from dashboard
- New: White label: Fix white label update link
- New: WooCommerce filter - add visibility option
- New: WooCommerce filter - add alignment option
- Improvement: Improve off canvas filter drawer
- Improvement: Correctly detect custom post types archives
- Improvement: Improve Custom Fonts add variation option
- Improvement: Improve divider header item (add style and size option)
- Fix: Fix search placeholder text
- Fix: Fix icon picker, icons where not displayed correctly

1.7.40.2: 2020-12-07
- New: Login/register/forgot password modal hooks
- New: Add hook to add icon to menu item
- New: Integrate Custom Fonts extension with Kadence Blocks
- New: Add margin option to search box item
- New: Display icons in mobile menu items
- New: White label: Disable click on dashboard logo for displaying
- New: White label: A way to force display the white label extension from wp-config.php
- New: White label: Turn off useful plugins
- New: White label: Turn off changelogs
- New: White label: Turn off beta updates section
- New: White label: Turn off support tickets section from dashboard
- New: White label: Fix white label update link
- Improvement: Improve off canvas filter drawer
- Improvement: Correctly detect custom post types archives
- Improvement: Improve Custom Fonts add variation option
- Improvement: Improve divider header item (add style and size option)
- Fix: Fix search placeholder text
- Fix: Fix icon picker, icons where not displayed correctly

1.7.40.1: 2020-12-07
- Improvement: Small improvements for white label

1.7.40: 2020-12-04
- New: Post has taxonomy condition
- New: Adjust timezone for hook expiration
- New: Typekit fonts in Elementor
- New: Add Language Switcher in footer
- New: Introduce hook for offcanvas, desktop & mobile
- New: White label PRO icon for admin menu
- New: Do not apply white label if plan is free
- New: White label plugin description
- New: Hide freemius account screen when white label active
- Improvement: Make Stack columns option responsive in single products
- Improvement: Contacts CSS snippet from Widgets extension to theme
- Improvement: Properly output Brizy content blocks
- Improvement: Improve single product type 2 zoom icon
- Fix: Cart offcanvas panel width option
- Fix: Avoid having fonts with the same name
- Fix: Off-Canvas filter not working on attribute page

1.7.39.1: 2020-12-02
- Improvement: Properly output Brizy content blocks
- Fix: Cart offcanvas panel width option

1.7.39: 2020-11-26
- New: Hide current language option for language switcher
- New: Implement desktop offcanvas & trigger
- New: Offcanvas filter as a sidebar area
- New: Add single product share box
- New: Add support for variable fonts in Custom Fonts extension
- New: New single product layout
- Fix: Fix quick view backdrop

1.7.39-beta2: 2020-11-26
- Fix for updates

1.7.39-beta1: 2020-11-26
- New: Hide current language option for language switcher
- New: Implement desktop offcanvas & trigger
- New: Offcanvas filter as a sidebar area
- New: Add single product share box
- New: Add support for variable fonts in Custom Fonts extension
- New: New single product layout

1.7.38: 2020-11-23
- New: Add expiration date for hooks
- New: Add content and comments hooks
- New: Add position option for hooks
- New: Add logo item in footer
- New: Integrate language switcher with TranslatePress plugin
- New: Integrate Stackable with custom fonts, Local Google Fonts & Typekit
- Improvement: Add warning in Code editor button
- Fix: Fix icon picker issue
- Fix: Fix contacts element spacing

1.7.38-beta1: 2020-11-20
- New: Add expiration date for hooks
- New: Add content and comments hooks
- New: Add position option for hooks
- New: Add logo item in footer
- New: Integrate language switcher with TranslatePress plugin
- New: Integrate Stackable with custom fonts, Local Google Fonts & Typekit
- Improvement: Add warning in Code editor button
- Fix: Fix icon picker issue
- Fix: Fix contacts element spacing

1.7.33: 2020-11-14
- Improvement: Content blocks container structure

1.7.33-beta1: 2020-11-13
- Improvement: Content blocks container structure

1.7.32: 2020-11-13
- New: Add search box border radius option
- New: Custom Hook option inside dropdown
- New: Content Blocks integration with Qubely
- Improvement: Gutenberg blocks output in hooks
- Improvement: Add content block structure option
- Improvement: Add ct-container to 404 content block
- Improvement: Show Header/Footer blocks inside html tags with schema org markup
- Fix: Fix advanced menu empty state, when no hooks available
- Fix: Fix Advanced menu with shortcode inside text area
- Fix: Fix Advanced menu when there are no content blocks

1.7.32-beta1: 2020-11-12
- New: Add search box border radius option
- New: Custom Hook option inside dropdown
- Improvement: Gutenberg blocks output in hooks
- Improvement: Add content block structure option
- Improvement: Add ct-container to 404 content block
- Improvement: Show Header/Footer blocks inside html tags with schema org markup
- Fix: Fix advanced menu empty state, when no hooks available
- Fix: Fix Advanced menu with shortcode inside text area
- Fix: Fix Advanced menu when there are no content blocks